# Content For Older Releases

This page is indexing the wiki pages related to older Kamailio releases,
3.2.x to 4.2.x. For newer releases, go to the main wiki page.

## Installation

### Installation from GIT Sources

- [Install Kamailio v5.1.x From GIT (html)](https://kamailio.org/docs/tutorials/5.1.x/kamailio-install-guide-git/)
- [Install Kamailio v5.0.x From GIT (html)](https://kamailio.org/docs/tutorials/5.0.x/kamailio-install-guide-git/)
- [Install Kamailio v4.4.x From GIT](../install/4.4.x/git.md)
- [Install Kamailio v4.3.x From GIT](../install/4.3.x/git.md)
- [Install Kamailio v4.2.x From GIT](../install/4.2.x/git.md)
- [Install Kamailio v4.1.x From GIT](../install/4.1.x/git.md)
- [Install Kamailio v4.0.x From GIT](../install/4.0.x/git.md)
- [Install Kamailio v3.3.x From GIT](../install/3.3.x/git.md)
- [Install Kamailio v3.2.x From GIT](../install/3.2.x/git.md)

### Upgrade

- [Upgrade Kamailio v5.1.x to v5.2.0](../install/upgrade/5.1.x-to-5.2.0.md)
- [Upgrade Kamailio v5.0.x to v5.1.0](../install/upgrade/5.0.x-to-5.1.0.md)
- [Upgrade Kamailio v4.4.x to v5.0.0](../install/upgrade/4.4.x-to-5.0.0.md)
- [Upgrade Kamailio v4.3.x to v4.4.0](../install/upgrade/4.3.x-to-4.4.0.md)
- [Upgrade Kamailio v4.2.x to v4.3.0](../install/upgrade/4.2.x-to-4.3.0.md)
- [Upgrade Kamailio v4.1.x to v4.2.0](../install/upgrade/4.1.x-to-4.2.0.md)
- [Upgrade Kamailio v4.0.x to v4.1.0](../install/upgrade/4.0.x-to-4.1.0.md)
- [Upgrade Kamailio v3.3.x to v4.0.0](../install/upgrade/3.3.x-to-4.0.0.md)
- [Upgrade Kamailio v3.2.x to v3.3.0](../install/upgrade/3.2.x-to-3.3.0.md)
- [Upgrade Kamailio v3.1.x to v3.2.0](../install/upgrade/3.1.x-to-3.2.0.md)

## Download

- [Download Sources of v5.1.x from GIT Repository](../download/v5.1.x-from-git.md)
- [Download Sources of v5.0.x from GIT Repository](../download/v5.0.x-from-git.md)
- [Download Sources of v4.4.x from GIT Repository](../download/v4.4.x-from-git.md)
- [Download Sources of v4.3.x from GIT Repository](../download/v4.3.x-from-git.md)
- [Download Sources of v4.2.x from GIT Repository](../download/v4.2.x-from-git.md)
- [Download Sources of v4.1.x from GIT Repository](../download/v4.1.x-from-git.md)
- [Download Sources of v4.0.x from GIT Repository](../download/v4.0.x-from-git.md)
- [Download Sources of v3.3.x from GIT Repository](../download/v3.3.x-from-git.md)
- [Download Sources of v3.2.x from GIT Repository](../download/v3.2.x-from-git.md)

### Linux - Unix Distributions

- [DEBS: Debian - Ubuntu](../old-releases/packages/debs.md)

## Cookbooks

|         |                               |                                          |                                          |                                  |                                                 |
|---------|-------------------------------|------------------------------------------|------------------------------------------|----------------------------------|-------------------------------------------------|
| Version | Core Cookbook                 | Pseudo Variables                         | Transformations                          | Selects                          | Modules                                         |
| 5.1.x   | [link](../cookbooks/5.1.x/core.md) | [link](../cookbooks/5.1.x/pseudovariables.md) | [link](../cookbooks/5.1.x/transformations.md) | [link](../cookbooks/5.1.x/selects.md) | [link](https://kamailio.org/docs/modules/5.1.x/) |
| 5.0.x   | [link](../cookbooks/5.0.x/core.md) | [link](../cookbooks/5.0.x/pseudovariables.md) | [link](../cookbooks/5.0.x/transformations.md) | [link](../cookbooks/5.0.x/selects.md) | [link](https://kamailio.org/docs/modules/5.0.x/) |
| 4.4.x   | [link](../cookbooks/4.4.x/core.md) | [link](../cookbooks/4.4.x/pseudovariables.md) | [link](../cookbooks/4.4.x/transformations.md) | [link](../cookbooks/4.4.x/selects.md) | [link](https://kamailio.org/docs/modules/4.4.x/) |
| 4.3.x   | [link](../cookbooks/4.3.x/core.md) | [link](../cookbooks/4.3.x/pseudovariables.md) | [link](../cookbooks/4.3.x/transformations.md) | [link](../cookbooks/4.3.x/selects.md) | [link](https://kamailio.org/docs/modules/4.3.x/) |
| 4.2.x   | [link](../cookbooks/4.2.x/core.md) | [link](../cookbooks/4.2.x/pseudovariables.md) | [link](../cookbooks/4.2.x/transformations.md) | [link](../cookbooks/4.2.x/selects.md) | [link](http://kamailio.org/docs/modules/4.2.x/) |
| 4.1.x   | [link](../cookbooks/4.1.x/core.md) | [link](../cookbooks/4.1.x/pseudovariables.md) | [link](../cookbooks/4.1.x/transformations.md) | [link](../cookbooks/4.1.x/selects.md) | [link](http://kamailio.org/docs/modules/4.1.x/) |
| 4.0.x   | [link](../cookbooks/4.0.x/core.md) | [link](../cookbooks/4.0.x/pseudovariables.md) | [link](../cookbooks/4.0.x/transformations.md) | [link](../cookbooks/4.0.x/selects.md) | [link](http://kamailio.org/docs/modules/4.0.x/) |
| 3.3.x   | [link](../cookbooks/3.3.x/core.md) | [link](../cookbooks/3.3.x/pseudovariables.md) | [link](../cookbooks/3.3.x/transformations.md) | [link](../cookbooks/3.3.x/selects.md) | [link](http://kamailio.org/docs/modules/3.3.x/) |
| 3.2.x   | [link](../cookbooks/3.2.x/core.md) | [link](../cookbooks/3.2.x/pseudovariables.md) | [link](../cookbooks/3.2.x/transformations.md) | [link](../cookbooks/3.2.x/selects.md) | [link](http://kamailio.org/docs/modules/3.2.x/) |

## Alphabetic Indexes

Alphabetic indexes generated from documentation (modules' readme docs).

|         |                                           |                                          |                                         |                                           |
|---------|-------------------------------------------|------------------------------------------|-----------------------------------------|-------------------------------------------|
| Version | Modules Parameters                        | Modules Functions                        | RPC Commands                            | Statistics                                |
| 5.1.x   | [link](../alphaindexes/5.1.x/modparameters.md) | [link](../alphaindexes/5.1.x/modfunctions.md) | [link](../alphaindexes/5.1.x/rpccommands.md) | [link](../alphaindexes/5.1.x/modstatistics.md) |
| 5.0.x   | [link](../alphaindexes/5.0.x/modparameters.md) | [link](../alphaindexes/5.0.x/modfunctions.md) | [link](../alphaindexes/5.0.x/rpccommands.md) | [link](../alphaindexes/5.0.x/modstatistics.md) |

|         |                                           |                                          |                                        |                                           |                                                                            |
|---------|-------------------------------------------|------------------------------------------|----------------------------------------|-------------------------------------------|----------------------------------------------------------------------------|
| Version | Modules Parameters                        | Modules Functions                        | RPC Commands                           | Statistics                                |                                                                            |
| 4.4.x   | [link](../alphaindexes/4.4.x/modparameters.md) | [link](../alphaindexes/4.4.x/modfunctions.md) | [link](../alphaindexes/4.4.x/micommands.md) | [link](../alphaindexes/4.4.x/modstatistics.md) | [link](https://www.kamailio.org/docs/docbooks/4.4.x/rpc_list/rpc_list.html) |
| 4.3.x   | [link](../alphaindexes/4.3.x/modparameters.md) | [link](../alphaindexes/4.3.x/modfunctions.md) | [link](../alphaindexes/4.3.x/micommands.md) | [link](../alphaindexes/4.3.x/modstatistics.md) | [link](https://www.kamailio.org/docs/docbooks/4.3.x/rpc_list/rpc_list.html) |
| 4.2.x   | [link](../alphaindexes/4.2.x/modparameters.md) | [link](../alphaindexes/4.2.x/modfunctions.md) | [link](../alphaindexes/4.2.x/micommands.md) | [link](../alphaindexes/4.2.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/4.2.x/rpc_list/rpc_list.html) |
| 4.1.x   | [link](../alphaindexes/4.1.x/modparameters.md) | [link](../alphaindexes/4.1.x/modfunctions.md) | [link](../alphaindexes/4.1.x/micommands.md) | [link](../alphaindexes/4.1.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/4.1.x/rpc_list/rpc_list.html) |
| 4.0.x   | [link](../alphaindexes/4.0.x/modparameters.md) | [link](../alphaindexes/4.0.x/modfunctions.md) | [link](../alphaindexes/4.0.x/micommands.md) | [link](../alphaindexes/4.0.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/4.0.x/rpc_list/rpc_list.html) |
| 3.4.x   | [link](../alphaindexes/3.4.x/modparameters.md) | [link](../alphaindexes/3.4.x/modfunctions.md) | [link](../alphaindexes/3.4.x/micommands.md) | [link](../alphaindexes/3.4.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/3.4.x/rpc_list/rpc_list.html) |
| 3.3.x   | [link](../alphaindexes/3.3.x/modparameters.md) | [link](../alphaindexes/3.3.x/modfunctions.md) | [link](../alphaindexes/3.3.x/micommands.md) | [link](../alphaindexes/3.3.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/3.3.x/rpc_list/rpc_list.html) |
| 3.2.x   | [link](../alphaindexes/3.2.x/modparameters.md) | [link](../alphaindexes/3.2.x/modfunctions.md) | [link](../alphaindexes/3.2.x/micommands.md) | [link](../alphaindexes/3.2.x/modstatistics.md) | [link](http://www.kamailio.org/docs/docbooks/3.2.x/rpc_list/rpc_list.html) |

## Features

- [New Features in Release 5.1.x](../features/new-in-5.1.x.md)
- [New Features in Release 5.0.x](../features/new-in-5.0.x.md)
- [New Features in Release 4.4.x](../features/new-in-4.4.x.md)
- [New Features in Release 4.3.x](../features/new-in-4.3.x.md)
- [New Features in Release 4.2.x](../features/new-in-4.2.x.md)
- [New Features in Release 4.1.x](../features/new-in-4.1.x.md)
- [New Features in Release 4.0.x](../features/new-in-4.0.x.md)
- [New Features in Release 3.3.x](../features/new-in-3.3.x.md)
- [New Features in Release 3.2.x](../features/new-in-3.2.x.md)
- [New Features in Release 3.1.x](http://www.kamailio.org/dokuwiki/doku.php/features:new-in-3.1.x)
- [New Features in Release 3.0.x](http://www.kamailio.org/dokuwiki/doku.php/features:new-in-3.0.x)
- [New Features in Release 1.5.x](http://www.kamailio.org/dokuwiki/doku.php/features:new-in-1.5.x)
- [New Features in Release 1.4.x](http://www.kamailio.org/dokuwiki/doku.php/features:new-in-1.4.x)
- [New Features in Release 1.3.x](http://www.kamailio.org/dokuwiki/doku.php/features:new-in-1.3.x)

### Database Structure

- [5.1.x Version](https://www.kamailio.org/docs/db-tables/kamailio-db-5.1.x.html)
- [5.0.x Version](https://www.kamailio.org/docs/db-tables/kamailio-db-5.0.x.html)
- [4.4.x Version](https://www.kamailio.org/docs/db-tables/kamailio-db-4.4.x.html)
- [4.3.x Version](https://www.kamailio.org/docs/db-tables/kamailio-db-4.3.x.html)
- [4.2.x Version](http://www.kamailio.org/docs/db-tables/kamailio-db-4.2.x.html)
- [4.1.x Version](http://www.kamailio.org/docs/db-tables/kamailio-db-4.1.x.html)
- [3.3.x Version](http://www.kamailio.org/docs/db-tables/kamailio-db-3.3.x.html)
- [3.2.x Version](http://www.kamailio.org/docs/db-tables/kamailio-db-3.2.x.html)

### Embedded APIs

KEMI Framework APIs:

- <http://kamailio.org/docs/tutorials/devel/kamailio-kemi-framework/>

Old Exports APIs:

|         |                                 |                                |                                 |                                 |                                   |
|---------|---------------------------------|--------------------------------|---------------------------------|---------------------------------|-----------------------------------|
| Version | \- Java -                       | \- Lua -                       | \- Mono -                       | \- Perl -                       | \- Python -                       |
| 4.2.x   | [link](../embeddedapi/4.2.x/java.md) | [link](../embeddedapi/4.2.x/lua.md) | [link](../embeddedapi/4.2.x/mono.md) | [link](../embeddedapi/4.2.x/perl.md) | [link](../embeddedapi/4.2.x/python.md) |
| 4.1.x   | [link](../embeddedapi/4.1.x/java.md) | [link](../embeddedapi/4.1.x/lua.md) | [link](../embeddedapi/4.1.x/mono.md) | [link](../embeddedapi/4.1.x/perl.md) | [link](../embeddedapi/4.1.x/python.md) |
| 4.0.x   | \-                              | [link](../embeddedapi/4.0.x/lua.md) | [link](../embeddedapi/4.0.x/mono.md) | [link](../embeddedapi/4.0.x/perl.md) | [link](../embeddedapi/4.0.x/python.md) |
| 3.3.x   | \-                              | [link](../embeddedapi/3.3.x/lua.md) | [link](../embeddedapi/3.3.x/mono.md) | [link](../embeddedapi/3.3.x/perl.md) | [link](../embeddedapi/3.3.x/python.md) |
| 3.2.x   | \-                              | [link](../embeddedapi/3.2.x/lua.md) | \-                              | [link](../embeddedapi/3.2.x/perl.md) | [link](../embeddedapi/3.2.x/python.md) |
