# IRC Devel Meeting - 2020-04-29

**Note: *because freenode.net IRC service is now requiring user
registration, this time the online meeting is planned to be hosted on a
Matrix room where we can grant guest access and people can join via web
browser. See more details below.***

Date:

- **Proposed: 14:00 UTC, Wednesday, Apr 29, 2020**
  - can attend: dcm, vseva, qxork, grumvalski
  - cannot attend:
- Alternatives (add your id if you can attend)
  - Apr 28: dcm, vseva, qxork, grumvalski
  - Apr 30: dcm, vseva, qxork, grumvalski

**Time** of the meeting across the world:

- 16:00 - Berlin, Germany
- 15:00 - London, UK
- 10:00 - New York, USA
- 07:00 - Seattle, USA

**Place:**

- Matrix chat room: **#kamailio:matrix.kamailio.dev**
  - [https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev](https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev)
- To join as a guest:
  - go to: <https://riot.kamailio.dev/#/welcome>
  - click on **Room Directory**
  - then click on **kamailio** room to join it

*Backup place:*

- IRC channel: **#kamailio** on **irc.freenode.net** server

Utilities:

- [Time
    Converter](http://www.timeanddate.com/worldclock/converter.html)
- Matrix resources
  - website: <https://matrix.org/>
    - it allows public registrations for getting a Matrix user
            account
  - client applications: <https://matrix.org/clients>
  - unofficial list of other public matrix servers:
        <https://www.anchel.nl/matrix-publiclist/>
- IRC resources
  - IRC webchat: <http://webchat.freenode.net/>
  - IRC client apps:
        <http://en.wikipedia.org/wiki/Internet_Relay_Chat#Clients>

## Participants

Participation is open to anyone, just join the IRC channel if you want
to participate.

People adding notes in the agenda using abbreviations:

- dcm - Daniel-Constantin Mierla
- vseva - Victor Seva
- qxork - Fred Posner
- grumvalski - Federico Cabiddu

## Agenda

Kamailio Development Status:

- open issues (dcm)
- minor releases for 5.2 and 5.3 branches (dcm)

Administration:

- servers maintenance
- community interaction and communication channels
- existing mailing lists review

Kamailio 5.4 (next major release):

- roadmap
- features
  - anything relevant that is missing?
  - priorities

Documentation:

- tutorials/cookbooks -- wiki vs mkdocs (github markdown)

Collaborative Projects:

- unit testing, documentation, etc.
- community announcements

## Transcript of Meeting

## Transcript of Meeting

| User                          | Message                                                                                                                                                                                                                                                                                                 |
|-------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| @miconda:matrix.kamailio.dev  | hello everyone! we are going to start in 2-3 min                                                                                                                                                                                                                                                        |
| @63:matrix.kamailio.dev       | 429 Too Many Requests                                                                                                                                                                                                                                                                                   |
|                               | No server is available to handle this request.                                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | to allow a few more to join                                                                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | ready to start ...                                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | ok ... then first topic                                                                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | major issues that need to be fixed                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | anyone aware of something not yet reported                                                                                                                                                                                                                                                              |
| @vseva:matrix.kamailio.dev    | nope                                                                                                                                                                                                                                                                                                    |
| @miconda:matrix.kamailio.dev  | in the tracker I saw some problems with latest ubuntu 16.04 with security updates for libssl                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | fearing that there can be some backport from libssl 1.1 back to 1.0, which is the default libssl version in 16.04                                                                                                                                                                                       |
| @vseva:matrix.kamailio.dev    | no                                                                                                                                                                                                                                                                                                      |
| @vseva:matrix.kamailio.dev    | that was caused by me/us in the repo of kamailio-deb-jenkins                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | I think that's another one, I am speaking about <https://github.com/kamailio/kamailio/issues/2274>                                                                                                                                                                                                      |
| @vseva:matrix.kamailio.dev    | builds should be using latest lib version already                                                                                                                                                                                                                                                       |
| @vseva:matrix.kamailio.dev    | ah, sorry                                                                                                                                                                                                                                                                                               |
| @henning:matrix.kamailio.dev  | well, ubuntu 20.04 was just released..                                                                                                                                                                                                                                                                  |
| @henning:matrix.kamailio.dev  | maybe people should upgrade ;)                                                                                                                                                                                                                                                                          |
| @fred:matrix.lod.com          | 16.04 is still with us through at least Apr 2021                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | don't wanted to suggest to not fix it                                                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | ok ... I will look into it, just wanted to see if any developers faced themselves the issue                                                                                                                                                                                                             |
| @henning:matrix.kamailio.dev  | I did not noticed anything in this regards, my oldest ubuntu is 18.04                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | ok ... then the next                                                                                                                                                                                                                                                                                    |
| @miconda:matrix.kamailio.dev  | actually the one from V�ctor Seva related to redis reply error                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | need to look at it as well                                                                                                                                                                                                                                                                              |
| @henning:matrix.kamailio.dev  | this looked also strange                                                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | because the example is using the same hiredis function like our code                                                                                                                                                                                                                                    |
| @vseva:matrix.kamailio.dev    | I will take a look this week to try to find out the cause                                                                                                                                                                                                                                               |
| @vseva:matrix.kamailio.dev    | for me not a big issue                                                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | ok, then next one that was added on tracker                                                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | about a sip client adding alias to contact parameter, conflicting with what we do for nat traversal                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | I haven't seen that so far                                                                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | I will comment on the issue in the tracker, but if someone wants to add something here, let's discuss                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | first would be that set/add_contact alias should not be used for register                                                                                                                                                                                                                               |
| @henning:matrix.kamailio.dev  | it looked to me more like a client/interop issue                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | not sure what we could do here better in K                                                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | that is usually for forwarded requests                                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | I guess the person does it in an edge proxy and then registrar saves it with alias param                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | normally it should be Path added and Contact unchanged                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | ok, anything else on issues?                                                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | if not, then next on minor releases                                                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | probably next on 5.3 is next week or the one after ...                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | I plan to send an announcement after this meeting, based on what is concluded here in terms of major issues to be fixed                                                                                                                                                                                 |
| @henning:matrix.kamailio.dev  | this one would be nice, but it is nothing to wait for a minor update: Debian package version don't support distribution upgrades                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | \* this one would be nice, but it is nothing to wait for a minor update: Debian package version don't support distribution upgrades                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | is this one what V�ctor Seva worked on?                                                                                                                                                                                                                                                                 |
| @vseva:matrix.kamailio.dev    | I'm working on that                                                                                                                                                                                                                                                                                     |
| @henning:matrix.kamailio.dev  | thanks :)                                                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | Henning Westerholt: do you have time for a 5.2.x in the near future? If not, I will plan it in my side soon after next 5.3                                                                                                                                                                              |
| @henning:matrix.kamailio.dev  | 5.2.7. would be also probably good to release                                                                                                                                                                                                                                                           |
| @henning:matrix.kamailio.dev  | miconda: i can do it                                                                                                                                                                                                                                                                                    |
| @miconda:matrix.kamailio.dev  | @henning: ok                                                                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | \* @henning: ok                                                                                                                                                                                                                                                                                         |
| @vseva:matrix.kamailio.dev    | I have a fix for nightly builds but not yet for upgrades                                                                                                                                                                                                                                                |
| @henning:matrix.kamailio.dev  | miconda: ok, I will plan it after 5.3 release                                                                                                                                                                                                                                                           |
| @miconda:matrix.kamailio.dev  | ok                                                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | then going to next topic                                                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | anything we need to do in our infrastructure ... new tools people would like to use?                                                                                                                                                                                                                    |
| @miconda:matrix.kamailio.dev  | thanks to Fred Posner we have now also this matrix server                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | I am still fan of mailing lists, but I am asked from time to time about web forums, etc ...                                                                                                                                                                                                             |
| @henning:matrix.kamailio.dev  | I like it much more than the old IRC 🙂                                                                                                                                                                                                                                                                  |
| @oej:matrix.kamailio.dev      | A big thank you to Fred Posner from all of us                                                                                                                                                                                                                                                           |
| @fred:matrix.lod.com          | Thank you =)                                                                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | next topic ... kamailio 5.4 - the upcoming major release                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | anything major we miss and should be added (as a feature of kamailio)?                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | we have 3 new modules now                                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | quite some work on a couple of other modules ...                                                                                                                                                                                                                                                        |
| @miconda:matrix.kamailio.dev  | just about to commit support for permissions to load the list of addresses from a text file                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | not for trusted, though                                                                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | maybe in the future                                                                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | and eventually some work on dialog to make it a bit more independent of tm callback                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | it is an overhead right now, imo                                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | the module chain can get complex, indeed                                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | tm still to be used for sending requests                                                                                                                                                                                                                                                                |
| @henning:matrix.kamailio.dev  | especially if you have tm -> dialog -> uac etc..                                                                                                                                                                                                                                                        |
| @96:matrix.kamailio.dev       | Improving dialog module this way seems very valuable (Julien Chavanton)                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | anyone else planning any relevant new addition?                                                                                                                                                                                                                                                         |
| @federico:matrix.kamailio.dev | to dialog module?                                                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | one in my list for long time is still making use of cnxcc (for prepaid) a bit easier to use in config, by adding support to load its parameters from database                                                                                                                                           |
| @miconda:matrix.kamailio.dev  | not to have to do queries in config                                                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | Julien: anything new planned for rtp_media_server module?                                                                                                                                                                                                                                               |
| @federico:matrix.kamailio.dev | on dialog module I'm working to be able to set from script some dialog properties that are supposed not to change, like the routes-sets of the two legs                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | @96 - Julien -- see above                                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | @federico -- ok                                                                                                                                                                                                                                                                                         |
| @miconda:matrix.kamailio.dev  | then, for a target date to release 5.4 ...                                                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | should we do it before mid of summer?                                                                                                                                                                                                                                                                   |
| @henning:matrix.kamailio.dev  | well, summer vacation will be a bit un-usual this year ;)                                                                                                                                                                                                                                               |
| @fred:matrix.lod.com          | ;)                                                                                                                                                                                                                                                                                                      |
| @fred:matrix.lod.com          | I think before fall is probably best                                                                                                                                                                                                                                                                    |
| @henning:matrix.kamailio.dev  | 5.3.0 was in middle of October                                                                                                                                                                                                                                                                          |
| @henning:matrix.kamailio.dev  | so either mid of summer, or early after summer vacation                                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | then I would set it for the mid of summer and delay if something pops up                                                                                                                                                                                                                                |
| @henning:matrix.kamailio.dev  | fine with me                                                                                                                                                                                                                                                                                            |
| @vseva:matrix.kamailio.dev    | mid of summer seems fine                                                                                                                                                                                                                                                                                |
| @103:matrix.kamailio.dev      | 👋                                                                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | ok ...                                                                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | next topic ... documentation                                                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | we discussed for quite some time dokuwiki vs markdown/github -- any new opinions?                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | \* we discussed for quite some time dokuwiki vs markdown/github -- any new opinions?                                                                                                                                                                                                                    |
| @96:matrix.kamailio.dev       | For rap media server module, my attempt to use dialog module was not very productive yet.                                                                                                                                                                                                               |
| @fred:matrix.lod.com          | I don't think I even remember my old opinion                                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | :-)                                                                                                                                                                                                                                                                                                     |
| @vseva:matrix.kamailio.dev    | I think I voted for markdown                                                                                                                                                                                                                                                                            |
| @fred:matrix.lod.com          | I do like markdown                                                                                                                                                                                                                                                                                      |
| @96:matrix.kamailio.dev       | Someone tested it recently hopefully I will have more feedback but there is a lot of work to do                                                                                                                                                                                                         |
| @miconda:matrix.kamailio.dev  | from my point of view was more about access to contribute                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | now one has to make an account on our dokuwiki, which doesn't seem to be very attractive                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | while having on github will make it open for pull requests                                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | we will still host the docs file, probably built by mkdocs (or something else) to html                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | the big effort will be to translated from dokuwiki format to markdown format                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | \* the big effort will be to translated from dokuwiki format to markdown format                                                                                                                                                                                                                         |
| @henning:matrix.kamailio.dev  | This is of course some work, but could be probably scripted                                                                                                                                                                                                                                             |
| @fred:matrix.lod.com          | I like the github idea                                                                                                                                                                                                                                                                                  |
| @fred:matrix.lod.com          | anything to make contributions easier                                                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | @96 Julien: ok, thanks. Planning to test it myself, but didn't get a chance yet                                                                                                                                                                                                                         |
| @henning:matrix.kamailio.dev  | if we move to github, we should migrate the current wiki to it. to not have another docs source                                                                                                                                                                                                         |
| @henning:matrix.kamailio.dev  | at least the content that is for the current branches and is not outdated                                                                                                                                                                                                                               |
| @henning:matrix.kamailio.dev  | if you search right now for some modules, you get old siprouter wiki, old kamailio wiki and current wiki ;)                                                                                                                                                                                             |
| @henning:matrix.kamailio.dev  | this can be confusing, imho                                                                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | searching on web was always confusing, returning old releases ...                                                                                                                                                                                                                                       |
| @fred:matrix.lod.com          | web has a very long memory                                                                                                                                                                                                                                                                              |
| @fred:matrix.lod.com          | =)                                                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | :-)                                                                                                                                                                                                                                                                                                     |
| @henning:matrix.kamailio.dev  | in the end it will depends on some volunteers to do the migration, i guess                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | indeed :-)                                                                                                                                                                                                                                                                                              |
| @vseva:matrix.kamailio.dev    | maybe a job for the online devel meetings??                                                                                                                                                                                                                                                             |
| @75:matrix.kamailio.dev       | ok, we can try to do some 30-60min sessions                                                                                                                                                                                                                                                             |
| @vseva:matrix.kamailio.dev    | It would be nice                                                                                                                                                                                                                                                                                        |
| @75:matrix.kamailio.dev       | 1-2 per week or month :-)                                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | 75 was me, as a guest                                                                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | wrong window, left open when I tested guest access                                                                                                                                                                                                                                                      |
| @giavac:matrix.kamailio.dev   | and meanwhile we could add a link to the latest versions at the top of older versions pages? I'd like to help with the migration BTW.                                                                                                                                                                   |
| @fred:matrix.lod.com          | works for me                                                                                                                                                                                                                                                                                            |
| @vseva:matrix.kamailio.dev    | giavac, that's a great idea                                                                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | btw, I forgot to ask, related to dmq, any module that should add support for it?                                                                                                                                                                                                                        |
| @103:matrix.kamailio.dev      | it would be great if presence active_watchers could use dmq much like dmq_usrloc                                                                                                                                                                                                                        |
| @103:matrix.kamailio.dev      | i understand there is dmq support for presentity table but IMO that implementation was flaky when i tested                                                                                                                                                                                              |
| @henning:matrix.kamailio.dev  | I never tested it as well, or saw it running in production yet (presence dmq)                                                                                                                                                                                                                           |
| @miconda:matrix.kamailio.dev  | to wrap up on docs wiki vs markdown -- let's try to come up with a plan on mailing list and take it further from there and see who can participate                                                                                                                                                      |
| @jsmith:matrix.org            | I've done lots of document conversion -- so if nobody else volunteers, I may jump in and help                                                                                                                                                                                                           |
| @miconda:matrix.kamailio.dev  | ok, so nothing else for dmq apart of seeing what is in presence and enhance for all records, if needed                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | Jared Smith: thanks, any hints you may have will be appreciated                                                                                                                                                                                                                                         |
| @miconda:matrix.kamailio.dev  | for the US folks: how is stir/shaken evolving there? I wrote the secsipid module, but not much feedback afterwards                                                                                                                                                                                      |
| @103:matrix.kamailio.dev      | have not tested it but it's on the 2020 roadmap                                                                                                                                                                                                                                                         |
| @fred:matrix.lod.com          | I've not had anyone need to implement it yet... but people are very happy that it's done                                                                                                                                                                                                                |
| @jsmith:matrix.org            | miconda: It's been mandated by July 1st 2021 by the FCC, if I remember correctly.                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | I got only one reporting that it is working with their implementation                                                                                                                                                                                                                                   |
| @jsmith:matrix.org            | miconda: But the industry players still haven't figured out how they're going to play nicely together.                                                                                                                                                                                                  |
| @oej:matrix.kamailio.dev      | At some point we need to look at the new auth                                                                                                                                                                                                                                                           |
| @96:matrix.kamailio.dev       | I asked West/intrade why they were not considering open source for Stir/shaken sharing the recent presentation from miconda                                                                                                                                                                             |
| @fred:matrix.lod.com          | I know of people who have already added kamailio in anticipation since it's not in freeswitch or asterisk                                                                                                                                                                                               |
| @96:matrix.kamailio.dev       | At least they are aware about this option                                                                                                                                                                                                                                                               |
| @96:matrix.kamailio.dev       | Things are moving forward                                                                                                                                                                                                                                                                               |
| @96:matrix.kamailio.dev       | With proprietary tech                                                                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | for me is not clear who is going to issue the certificates ... be the trust authority, if any is going to be assigned for such task                                                                                                                                                                     |
| @fred:matrix.lod.com          | exactly                                                                                                                                                                                                                                                                                                 |
| @oej:matrix.kamailio.dev      | That's a PKI that's not going to work properly for sure.                                                                                                                                                                                                                                                |
| @104:matrix.kamailio.dev      | :)                                                                                                                                                                                                                                                                                                      |
| @fred:matrix.lod.com          | and even when implemented, I expect it to be as useful as dkim was in preventing spam                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | :-)                                                                                                                                                                                                                                                                                                     |
| @jsmith:matrix.org            | It's being added to Asterisk, and we will be doing interop testing with @miconda's code                                                                                                                                                                                                                 |
| @jsmith:matrix.org            | \* It's being added to Asterisk, and we will be doing interop testing with @miconda's code                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | @oej: do you mean new auth mechanisms?                                                                                                                                                                                                                                                                  |
| @oej:matrix.kamailio.dev      | yes                                                                                                                                                                                                                                                                                                     |
| @oej:matrix.kamailio.dev      | We've been working on this RFC for OpenID connect and Oauth2                                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | what is pushed from IETF these days? I am on sipcore, but don't read much of it                                                                                                                                                                                                                         |
| @oej:matrix.kamailio.dev      | And the replacement of MD5                                                                                                                                                                                                                                                                              |
| @oej:matrix.kamailio.dev      | I am trying to push a discussion on downgrade attacks, but people don't want to listen                                                                                                                                                                                                                  |
| @oej:matrix.kamailio.dev      | The 3gpp people have their problem sorted out and not enough of the rest of us is there to push back                                                                                                                                                                                                    |
| @oej:matrix.kamailio.dev      | But for OpenID connect we need to handle encrypted JWT tokens and other cool stuff                                                                                                                                                                                                                      |
| @oej:matrix.kamailio.dev      | RFC 3261 is getting an update to deprecate TLS 1.0 and 1.1                                                                                                                                                                                                                                              |
| @henning:matrix.kamailio.dev  | replacement on MD5 would be great, if only UAs support it                                                                                                                                                                                                                                               |
| @oej:matrix.kamailio.dev      | The big problem is migration path                                                                                                                                                                                                                                                                       |
| @henning:matrix.kamailio.dev  | but also worried about down-grade attacks                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | that's my question as well, when UAs will support the new auth                                                                                                                                                                                                                                          |
| @96:matrix.kamailio.dev       | I can ask questions to West we have FCC member                                                                                                                                                                                                                                                          |
| @96:matrix.kamailio.dev       | I will let them know this is from the open source community                                                                                                                                                                                                                                             |
| @fred:matrix.lod.com          | well... from what we see with UAs... not until they absolutely have to                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | JWT can be added, more or less stir/shaken is JWT                                                                                                                                                                                                                                                       |
| @oej:matrix.kamailio.dev      | Yes, the passport stuff                                                                                                                                                                                                                                                                                 |
| @96:matrix.kamailio.dev       | In cas it does matter but I think they must be transparent in the end                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | and another generic question before going to next topic ... anyone seeing increase on using webrtc with sip (given the world wide situation)?                                                                                                                                                           |
| @fred:matrix.lod.com          | definitely                                                                                                                                                                                                                                                                                              |
| @fred:matrix.lod.com          | especially in call centers                                                                                                                                                                                                                                                                              |
| @henning:matrix.kamailio.dev  | yes                                                                                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | ok, good to hear!                                                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | next topic I had in list is about community announcement                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | this is practically about announcing related projects/services to our community, when those are not commercial                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | so far we had a policy of allowing announcement about open positions (jobs)                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | and we also announced about siremis or other projects from time to time                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | but not sure if we have anything clear in this aspect                                                                                                                                                                                                                                                   |
| @miconda:matrix.kamailio.dev  | for commercial things there is business mailing list                                                                                                                                                                                                                                                    |
| @henning:matrix.kamailio.dev  | there was also the phone announcement recently                                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | phone annoucement? I forgot or missed that ...                                                                                                                                                                                                                                                          |
| @henning:matrix.kamailio.dev  | saraphone?                                                                                                                                                                                                                                                                                              |
| @miconda:matrix.kamailio.dev  | ahh, right ...                                                                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | so indeed, that is a perfect match                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | personally I am fine when a project is started/launched, but probably not for every new release                                                                                                                                                                                                         |
| @miconda:matrix.kamailio.dev  | I think is useful for community to know about such projects, but we have to set a limit not to get "flooded"                                                                                                                                                                                            |
| @henning:matrix.kamailio.dev  | initial announcement/project started sounds good to me, more would be probably too much                                                                                                                                                                                                                 |
| @henning:matrix.kamailio.dev  | also for major/established projects they have their own lists usually                                                                                                                                                                                                                                   |
| @henning:matrix.kamailio.dev  | \* also for major/established projects they have their own lists usually                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | ok                                                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | any topic that someone wants to discuss?                                                                                                                                                                                                                                                                |
| @miconda:matrix.kamailio.dev  | looks like we are pretty good in the features list, nothing major that we do not have and want to add ...                                                                                                                                                                                               |
| @henning:matrix.kamailio.dev  | I can give a quick update on the fuzzing project from me                                                                                                                                                                                                                                                |
| @federico:matrix.kamailio.dev | I have an enhancement in my whishlist but probably for the 6.0 release                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | Henning Westerholt: sure                                                                                                                                                                                                                                                                                |
| @federico:matrix.kamailio.dev | I'd like to overcome the limitation for which a tcp connection can only be handle by a single worker                                                                                                                                                                                                    |
| @oej:matrix.kamailio.dev      | Got to go, sorry. Nice chatting with you all :-)                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | ok, about the fuzzing: I restarted it with a new version of the fuzzer some month ago. I started two runs, one about server msg input, and one about cfg input                                                                                                                                          |
| @henning:matrix.kamailio.dev  | the cfg one is on hold right now, after it found some issues (had no time to dig into it much)                                                                                                                                                                                                          |
| @henning:matrix.kamailio.dev  | the main server one is running fine                                                                                                                                                                                                                                                                     |
| @henning:matrix.kamailio.dev  | Summary stats                                                                                                                                                                                                                                                                                           |
|                               | =============                                                                                                                                                                                                                                                                                           |
|                               | Fuzzers alive : 3                                                                                                                                                                                                                                                                                       |
|                               | Total run time : 206 days, 3 hours                                                                                                                                                                                                                                                                      |
|                               | Total execs : 406 million                                                                                                                                                                                                                                                                               |
|                               | Cumulative speed : 67 execs/sec                                                                                                                                                                                                                                                                         |
|                               | Pending paths : 2484 faves, 44094 total                                                                                                                                                                                                                                                                 |
|                               | Pending per fuzzer : 828 faves, 14698 total (on average)                                                                                                                                                                                                                                                |
|                               | Crashes found : 0 locally unique                                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | no crashes found 🙂                                                                                                                                                                                                                                                                                      |
| @miconda:matrix.kamailio.dev  | nice                                                                                                                                                                                                                                                                                                    |
| @miconda:matrix.kamailio.dev  | the one for cfg is about syntax, need to sort grammar there                                                                                                                                                                                                                                             |
| @henning:matrix.kamailio.dev  | yes, it mainly tries to crash the cfg parser, which is rather easy comparing to the sip one                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | looked a bit, but then diverged to other projects, because it is a start up issue with unusual syntax                                                                                                                                                                                                   |
| @henning:matrix.kamailio.dev  | sure, it is nothing that normally is used in cfgs                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | federico: you are working on it, or just wanting to have it                                                                                                                                                                                                                                             |
| @federico:matrix.kamailio.dev | starting to looking at it and giving some thoughts                                                                                                                                                                                                                                                      |
| @federico:matrix.kamailio.dev | nothing concrete, tough topic :)                                                                                                                                                                                                                                                                        |
| @miconda:matrix.kamailio.dev  | right now probably you can dispatch it using send\*() functions ...                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | we discussed at last kamailio devel meeting in dusseldorf that an architectural change might be needed for v6                                                                                                                                                                                           |
| @federico:matrix.kamailio.dev | yes :)                                                                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | so maybe after kamailio 5.4 we should plan the v6 jump                                                                                                                                                                                                                                                  |
| @miconda:matrix.kamailio.dev  | anything else?                                                                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | or should we conclude here ...                                                                                                                                                                                                                                                                          |
| @henning:matrix.kamailio.dev  | I think for the 6.0 topic we should have a developer meeting again                                                                                                                                                                                                                                      |
| @fred:matrix.lod.com          | Nothing else from me... would love feedback on how this experience (matrix) was vs. IRC.                                                                                                                                                                                                                |
| @henning:matrix.kamailio.dev  | to better discuss and plan/architecture etc..                                                                                                                                                                                                                                                           |
| @fred:matrix.lod.com          | \* Nothing else from me... would love feedback on how this experience (matrix) was vs. IRC.                                                                                                                                                                                                             |
| @henning:matrix.kamailio.dev  | if its possible again, of course                                                                                                                                                                                                                                                                        |
| @henning:matrix.kamailio.dev  | Fred Posner: I liked it                                                                                                                                                                                                                                                                                 |
| @federico:matrix.kamailio.dev | Fred Posner: I liked it too                                                                                                                                                                                                                                                                             |
| @miconda:matrix.kamailio.dev  | Henning Westerholt: if traveling restrictions will be lifted :-)                                                                                                                                                                                                                                        |
| @miconda:matrix.kamailio.dev  | sure we can plan for another face to face devel meeting and code most of 6.0 stuff :-))                                                                                                                                                                                                                 |
| @giavac:matrix.kamailio.dev   | @fre                                                                                                                                                                                                                                                                                                    |
| @giavac:matrix.kamailio.dev   | Fred Posner: good experience, thanks again (apart the wrong Enter I just did :) )                                                                                                                                                                                                                       |
| @johann8384:matrix.org        | 👍                                                                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | giavac: you can edit the message                                                                                                                                                                                                                                                                        |
| @miconda:matrix.kamailio.dev  | ok ... we can consider the devel meeting finished                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | we will have a summary on the wiki page (hopefully, or just this transcript)                                                                                                                                                                                                                            |
| @miconda:matrix.kamailio.dev  | happy to see we do not lack anything critical at this moment                                                                                                                                                                                                                                            |
| @giavac:matrix.kamailio.dev   | \> \<@miconda:matrix.kamailio.dev> giavac: you can edit the message                                                                                                                                                                                                                                     |
|                               | no, I can't... or I need to understand how :)                                                                                                                                                                                                                                                           |
| @fred:matrix.lod.com          | I'll volunteer for the transcript again                                                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | and happy to see people look for improved architecture for future versions/v6                                                                                                                                                                                                                           |
| @fred:matrix.lod.com          | giavac: depends on the client youre using                                                                                                                                                                                                                                                               |
| @giavac:matrix.kamailio.dev   | \> \<@giavac:matrix.kamailio.dev> no, I can't... or I need to understand how :)                                                                                                                                                                                                                         |
|                               | The pencil, of course! :)                                                                                                                                                                                                                                                                               |
| @miconda:matrix.kamailio.dev  | 😁                                                                                                                                                                                                                                                                                                       |
| @miconda:matrix.kamailio.dev  | now free discussion ...                                                                                                                                                                                                                                                                                 |
| @miconda:matrix.kamailio.dev  | if you know interesting news or funny stories from the industry :-)                                                                                                                                                                                                                                     |
| @henning:matrix.kamailio.dev  | Thanks to all!                                                                                                                                                                                                                                                                                          |
| @miconda:matrix.kamailio.dev  | Thank you all, as well!                                                                                                                                                                                                                                                                                 |
| @fred:matrix.lod.com          | thank you! Missing everyone this week.                                                                                                                                                                                                                                                                  |
| @giavac:matrix.kamailio.dev   | Bye                                                                                                                                                                                                                                                                                                     |
| @miconda:matrix.kamailio.dev  | everyone take care, stay safe and healthy!                                                                                                                                                                                                                                                              |
| @federico:matrix.kamailio.dev | I have to go (not too far...just the ground floor)                                                                                                                                                                                                                                                      |
| @federico:matrix.kamailio.dev | thanks and bye all                                                                                                                                                                                                                                                                                      |
| @lucianb:matrix.org           | bye all!                                                                                                                                                                                                                                                                                                |
| @federico:matrix.kamailio.dev | stay safe!                                                                                                                                                                                                                                                                                              |
| @103:matrix.kamailio.dev      | i tried to sign up for an official matrix account on here but it's not letting me login. anything special i need to do?                                                                                                                                                                                 |
| @henning:matrix.kamailio.dev  | maybe just contact Fred Posner                                                                                                                                                                                                                                                                          |
| @fred:matrix.lod.com          | The homeserver isn't open for account creation; but the Matrix platform is federated... so for example, my Matrix account is on a homeserver we have at LOD. Others may have matrix accounts from matrix.org or their own deployments.                                                                  |
| @miconda:matrix.kamailio.dev  | @103 - if you are a registered developer (have git commit access) and need a matrix account, we will try to find a solution, just let us know. Otherwise, this matrix server is intended to be only the host for chat rooms needed by Kamailio project, it is not intended to public user registrations |
| @miconda:matrix.kamailio.dev  | besides matrix.org, there are other public matrix servers that allow user registration, I found this page collecting some of them: <https://www.anchel.nl/matrix-publiclist/>                                                                                                                           |
