# Online Devel Meeting - 2021-12-15

**Note: *the online meeting is planned to be hosted on a Matrix room
where we will try to grant guest access and people can join via web
browser. See more details below.***

Date:

- **Proposed: 15:00 UTC, Wednesday, Dec 15, 2021**
  - can attend: dcm, qxork, oej...
  - cannot attend: vseva

Time of the meeting across the world:

- 16:00 - Berlin, Germany
- 15:00 - London, UK
- 10:00 - New York, USA
- 07:00 - Seattle, USA

**Place:**

- Matrix chat room: **#kamailio:matrix.kamailio.dev**
  - [https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev](https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev)
- To join as a guest:
  - go to: <https://riot.kamailio.dev/#/welcome>
  - click on **Room Directory**
  - then click on **kamailio** room to join it

Utilities:

- [Time
    Converter](http://www.timeanddate.com/worldclock/converter.html)
- Matrix resources
  - website: <https://matrix.org/>
    - it allows public registrations for getting a Matrix user
            account
  - client applications: <https://matrix.org/clients>
  - unofficial list of other public matrix servers:
        <https://www.anchel.nl/matrix-publiclist/>

## Participants

Participation is open to anyone, just join the chat room if you want to
participate.

People adding notes in the agenda using abbreviations:

- dcm - Daniel-Constantin Mierla
- qxork - Fred Posner
- oej - Olle E Johansson

## Agenda

Kamailio Development Status:

- open issues (dcm)
- minor releases for 5.4 and 5.5 branches (dcm)
- tracker issues review:
  - <https://github.com/kamailio/kamailio/issues/>
- packaging and distributions
- continuous integration
  - what is left from travis-ci
  - use of github actions

Administration:

- servers maintenance
- community interaction and communication channels
- existing mailing lists review

Kamailio 5.6 (next major release):

- roadmap
- features
  - anything relevant that is missing?
  - priorities
- Updating RPC with more responses (OEJ)

Documentation:

- tutorials/cookbooks -- wiki vs mkdocs (github markdown)

Collaborative Projects:

- unit testing, documentation, etc.
- community announcements

## Transcript

    2021-12-15 09:59:47 -0500 EST @miconda:matrix.kamailio.dev Hello everyone! We will start soon the Kamailio online devel meeting!
    2021-12-15 10:04:04 -0500 EST @miconda:matrix.kamailio.dev Some proposals for agenda at: https://www.kamailio.org/wiki/devel/irc-meetings/2021a
    2021-12-15 10:04:16 -0500 EST @miconda:matrix.kamailio.dev but feel free to propose new ones
    2021-12-15 10:05:17 -0500 EST @miconda:matrix.kamailio.dev ok, let's start!
    2021-12-15 10:06:19 -0500 EST @miconda:matrix.kamailio.dev first topic: open issues
    2021-12-15 10:06:32 -0500 EST @miconda:matrix.kamailio.dev anything to look at before next minor releases?
    2021-12-15 10:06:41 -0500 EST @oej:matrix.kamailio.dev I am here too :-)
    2021-12-15 10:06:51 -0500 EST @henning:matrix.kamailio.dev hello everybody
    2021-12-15 10:07:00 -0500 EST @oej:matrix.kamailio.dev I am not aware of any specific issues
    2021-12-15 10:07:12 -0500 EST @henning:matrix.kamailio.dev good that we do not use log4j :D
    2021-12-15 10:07:28 -0500 EST @fred:matrix.lod.com > <@henning:matrix.kamailio.dev> good that we do not use log4j :D
    Amen
    2021-12-15 10:08:13 -0500 EST @eschmidbauer:matrix.kamailio.dev 👋
    2021-12-15 10:08:24 -0500 EST @fred:matrix.lod.com I haven't seen anything critical... looking good on Debian 11 as well.
    2021-12-15 10:08:43 -0500 EST @miconda:matrix.kamailio.dev ok ... then next minor releases
    2021-12-15 10:08:56 -0500 EST @eschmidbauer:matrix.kamailio.dev > <@fred:matrix.lod.com> I haven't seen anything critical... looking good on Debian 11 as well.
    also running on deb11 with no issues
    2021-12-15 10:08:57 -0500 EST @miconda:matrix.kamailio.dev we ended up packaging from 5.3 branch recently
    2021-12-15 10:09:06 -0500 EST @miconda:matrix.kamailio.dev so no focus is on 5.5 and 5.4
    2021-12-15 10:09:25 -0500 EST @miconda:matrix.kamailio.dev I am planning a 5.4.x release soon, maybe next week, let's see
    2021-12-15 10:09:47 -0500 EST @miconda:matrix.kamailio.dev 5.5.x got a release during late November
    2021-12-15 10:10:09 -0500 EST @miconda:matrix.kamailio.dev when I looked at 5.4 branch, there were not so many commits since previous release
    2021-12-15 10:10:30 -0500 EST @miconda:matrix.kamailio.dev a few more were pushed to master, likely some of them have to be backported
    2021-12-15 10:10:49 -0500 EST @miconda:matrix.kamailio.dev  * ok ... then next minor releases
    2021-12-15 10:11:27 -0500 EST @miconda:matrix.kamailio.dev for 5.5 will have next one in 2022 if nothing critical pops up
    2021-12-15 10:12:02 -0500 EST @miconda:matrix.kamailio.dev sounds ok or anyone wants to propose something else?
    2021-12-15 10:13:01 -0500 EST @fred:matrix.lod.com sounds good to me
    2021-12-15 10:13:01 -0500 EST @miconda:matrix.kamailio.dev assuming ok ...
    2021-12-15 10:13:38 -0500 EST @miconda:matrix.kamailio.dev next topic: packaging and distributions
    2021-12-15 10:13:55 -0500 EST @miconda:matrix.kamailio.dev I noticed newer debians were added
    2021-12-15 10:14:36 -0500 EST @miconda:matrix.kamailio.dev as a bonus, Víctor Seva added packaging for rtpengine (iirc, it's devel version for now, more to be added soon)
    2021-12-15 10:15:22 -0500 EST @miconda:matrix.kamailio.dev that should facilitate deploying rtpengine along side kamailio, they are both in the same repo
    2021-12-15 10:15:53 -0500 EST @henning:matrix.kamailio.dev great news
    2021-12-15 10:16:59 -0500 EST @oej:matrix.kamailio.dev Huge thanks to Víctor Seva !!!!
    2021-12-15 10:17:28 -0500 EST @khorsmann:matrix.org question: rtpengine + kamailio then in the same repo - and if i need a different rtpengine? would two repos better so i can deactivate "kamailio-flaivor rtpengine"?
    2021-12-15 10:17:44 -0500 EST @miconda:matrix.kamailio.dev also, for the records, if someone missed the news about archiving packages for releases: https://www.kamailio.org/w/2021/09/apt-debian-packages-archive/
    2021-12-15 10:18:32 -0500 EST @miconda:matrix.kamailio.dev Karsten Horsmann: I think you can have policies for packages, but I am not sure
    2021-12-15 10:19:53 -0500 EST @miconda:matrix.kamailio.dev anyhow, I am not really sure if it's going to be same repo, but use the same platform to build the debs
    2021-12-15 10:20:08 -0500 EST @miconda:matrix.kamailio.dev probably Victor will provide more details when work is finished
    2021-12-15 10:21:02 -0500 EST @miconda:matrix.kamailio.dev other popular distros missing from our packaging list?
    2021-12-15 10:21:35 -0500 EST @miconda:matrix.kamailio.dev if yes, thank you for volunteering to add it :-) !
    2021-12-15 10:22:21 -0500 EST @miconda:matrix.kamailio.dev I understood that docker hub removed a lot of "free" services, like building images
    2021-12-15 10:22:40 -0500 EST @miconda:matrix.kamailio.dev so now the images for Kamailio have to be "created" manually
    2021-12-15 10:23:17 -0500 EST @miconda:matrix.kamailio.dev I'm not using docker much, so not really familiar with the matter -- I use it mainly for testing before releases
    2021-12-15 10:24:46 -0500 EST @miconda:matrix.kamailio.dev if nothing else to add here, then next topic: continuous integration
    2021-12-15 10:25:06 -0500 EST @miconda:matrix.kamailio.dev we relied on travis-ci for a while, but they also removed a lot of "free" services
    2021-12-15 10:25:36 -0500 EST @miconda:matrix.kamailio.dev work was started to use now github actions
    2021-12-15 10:26:13 -0500 EST @miconda:matrix.kamailio.dev but any help would be really appreciated, if anyone here is familiar with github actions
    2021-12-15 10:27:00 -0500 EST @miconda:matrix.kamailio.dev for example, useful would be to send email notifications to sr-dev when building fails after new commits
    2021-12-15 10:27:39 -0500 EST @miconda:matrix.kamailio.dev we have the actions for triggering builds: https://github.com/kamailio/kamailio/actions
    2021-12-15 10:28:28 -0500 EST @miconda:matrix.kamailio.dev and propose anything else that you find useful for kamailio and can be done with github actions
    2021-12-15 10:29:51 -0500 EST @vseva:matrix.kamailio.dev > <@miconda:matrix.kamailio.dev> anyhow, I am not really sure if it's going to be same repo, but use the same platform to build the debs
    They are in different repos
    2021-12-15 10:30:52 -0500 EST @miconda:matrix.kamailio.dev Víctor Seva: thanks for clarifying it
    2021-12-15 10:31:25 -0500 EST @miconda:matrix.kamailio.dev anything on CI/CT/... that should be discussed?
    2021-12-15 10:32:31 -0500 EST @vseva:matrix.kamailio.dev What you already mentioned. We need to add more features to our GitHub actions
    2021-12-15 10:33:08 -0500 EST @vseva:matrix.kamailio.dev Send email when failed, build and push docker images
    2021-12-15 10:33:26 -0500 EST @khorsmann:matrix.org Maybe someone from sipwise can give some hints. https://github.com/sipwise/rtpengine/blob/master/.github/workflows/unit-tests.yml .....
    2021-12-15 10:33:51 -0500 EST @khorsmann:matrix.org They used that for there opensourced rtpengine in github actions.
    2021-12-15 10:35:49 -0500 EST @miconda:matrix.kamailio.dev ok, we can look at ... probably there are other projects on github we can look at and inspire from, but we would need some help here from people familiar with github actions
    2021-12-15 10:36:54 -0500 EST @vseva:matrix.kamailio.dev I'm struggling already to find spare time for anything
    2021-12-15 10:37:39 -0500 EST @miconda:matrix.kamailio.dev yep, most of us do, that's why I keep asking around
    2021-12-15 10:38:05 -0500 EST @miconda:matrix.kamailio.dev then let's hope for a better and more relaxed 2022 ...
    2021-12-15 10:38:26 -0500 EST @miconda:matrix.kamailio.dev and move to next main topic: administration
    2021-12-15 10:39:04 -0500 EST @miconda:matrix.kamailio.dev subtopic: servers maintenance
    2021-12-15 10:39:22 -0500 EST @miconda:matrix.kamailio.dev kamailio.org is still on buster, which should be fine for a while
    2021-12-15 10:39:44 -0500 EST @miconda:matrix.kamailio.dev but at some point we have to migrate to debian 11
    2021-12-15 10:40:09 -0500 EST @fred:matrix.lod.com (same with most of the lod servers)
    2021-12-15 10:40:30 -0500 EST @miconda:matrix.kamailio.dev anyone that upgraded debian servers running mailman, apache2, exim4, ... and spotted any major issue?
    2021-12-15 10:41:17 -0500 EST @miconda:matrix.kamailio.dev  * anyone that upgraded debian servers running mailman, apache2, exim4, ... and spotted any major issue?
    2021-12-15 10:41:48 -0500 EST @miconda:matrix.kamailio.dev then we will check the internet when preparing the upgrade
    2021-12-15 10:42:23 -0500 EST @oej:matrix.kamailio.dev > <@miconda:matrix.kamailio.dev> then let's hope for a better and more relaxed 2020 ...
    Are you so far behind? :-) The rest of us is looking forward to 2022
    2021-12-15 10:42:28 -0500 EST @miconda:matrix.kamailio.dev second subtopic, the usual community interactions, communication channels, mailing lists ...
    2021-12-15 10:42:54 -0500 EST @miconda:matrix.kamailio.dev @oej :-) you are right!
    2021-12-15 10:43:02 -0500 EST @miconda:matrix.kamailio.dev  * then let's hope for a better and more relaxed 2022 ...
    2021-12-15 10:43:16 -0500 EST @miconda:matrix.kamailio.dev pushed an update to my text
    2021-12-15 10:43:24 -0500 EST @fred:matrix.lod.com Now this will look odd in the transcript ;)
    2021-12-15 10:43:54 -0500 EST @miconda:matrix.kamailio.dev anything needed for community interaction?
    2021-12-15 10:44:05 -0500 EST @fred:matrix.lod.com I'll need to get with some of the main users on some of the other LOD hosted boxes to coordinate time, etc.
    2021-12-15 10:44:29 -0500 EST @miconda:matrix.kamailio.dev the only thing I noticed is that typically new comers try to use github issues for the usual how-to use kamailio
    2021-12-15 10:44:35 -0500 EST @fred:matrix.lod.com I hadn't planned on updating the matrix box to 11 until needed as 10 still has releases.
    2021-12-15 10:44:49 -0500 EST @miconda:matrix.kamailio.dev or if they have a problem that seems more related to their config, they reported as an issue
    2021-12-15 10:45:07 -0500 EST @miconda:matrix.kamailio.dev but I am not sure how/if that can be prevented
    2021-12-15 10:45:21 -0500 EST @oej:matrix.kamailio.dev > <@miconda:matrix.kamailio.dev> the only thing I noticed is that typically new comers try to use github issues for the usual how-to use kamailio
    That will always happen.
    2021-12-15 10:45:37 -0500 EST @oej:matrix.kamailio.dev ON Facebook I keep refererring questions to the sr-users mailing list.
    2021-12-15 10:45:48 -0500 EST @oej:matrix.kamailio.dev But people insist on repeating their questions...
    2021-12-15 10:45:54 -0500 EST @fred:matrix.lod.com > <@oej:matrix.kamailio.dev> ON Facebook I keep refererring questions to the sr-users mailing list.
    Or matrix maybe?
    2021-12-15 10:46:05 -0500 EST @oej:matrix.kamailio.dev That's possible of course
    2021-12-15 10:46:24 -0500 EST @henning:matrix.kamailio.dev if this first user kind of tickets happens once a week or so, it don't think its a big deal
    2021-12-15 10:46:34 -0500 EST @khorsmann:matrix.org kamailio support on instagram?
    2021-12-15 10:46:41 -0500 EST @henning:matrix.kamailio.dev lol
    2021-12-15 10:46:51 -0500 EST @fred:matrix.lod.com Tik-Tokamailio
    2021-12-15 10:46:59 -0500 EST @henning:matrix.kamailio.dev kamailio NFTs
    2021-12-15 10:47:16 -0500 EST @vseva:matrix.kamailio.dev Only fans?
    2021-12-15 10:48:10 -0500 EST @miconda:matrix.kamailio.dev lot's of "good" ideas!
    2021-12-15 10:49:04 -0500 EST @fred:matrix.lod.com Trying to "incorporate" Spaces, so added a #business:matrix.kamailio.dev room recently to the #kamspace:matrix.kamailio.dev
    2021-12-15 10:49:26 -0500 EST @khorsmann:matrix.org I like the community support how it is, the mailinglist is clear and searchable.
    2021-12-15 10:50:17 -0500 EST @fred:matrix.lod.com > <@khorsmann:matrix.org> I like the community support how it is, the mailinglist is clear and searchable.
    That's one of my favorite parts of the mailing list. Also, everyone seems open to helping others.
    2021-12-15 10:50:58 -0500 EST @khorsmann:matrix.org but i know, mailinglists are a lot of work.
    2021-12-15 10:51:05 -0500 EST @miconda:matrix.kamailio.dev at some point I looked for a small search engine that could be run on our server, seems to be a few projects with that scope, but none out of the box for mailman archive ... google search with site still does the job, was just an idea that could have been useful to have at the top of website
    2021-12-15 10:52:52 -0500 EST @miconda:matrix.kamailio.dev just to have it here as an idea
    2021-12-15 10:53:15 -0500 EST @miconda:matrix.kamailio.dev there are couple of golang, rust apps, like mellisearch (iirc now)
    2021-12-15 10:53:35 -0500 EST @henning:matrix.kamailio.dev there is elasticsearch and similar engines.. but it would be just another service to maintain
    2021-12-15 10:53:53 -0500 EST @khorsmann:matrix.org I would prefer - let google that do for you
    2021-12-15 10:54:02 -0500 EST @khorsmann:matrix.org like openbsd.org with https://www.openbsd.org/mail.html
    2021-12-15 10:54:11 -0500 EST @miconda:matrix.kamailio.dev not going for any Java app, someone mentioned log4j at the beginning :-)
    2021-12-15 10:54:22 -0500 EST @khorsmann:matrix.org the give an "how to use, and what to write" with links to the archives
    2021-12-15 10:55:12 -0500 EST @miconda:matrix.kamailio.dev Karsten Horsmann: could be good to update the front pages for mailing lists in a similar fashion
    2021-12-15 10:56:19 -0500 EST @miconda:matrix.kamailio.dev ok, then let's move to next one
    2021-12-15 10:56:44 -0500 EST @miconda:matrix.kamailio.dev Kamailio 5.6 - aka next major release
    2021-12-15 10:57:02 -0500 EST @miconda:matrix.kamailio.dev anything missing in terms of (very) useful features?
    2021-12-15 10:58:52 -0500 EST @miconda:matrix.kamailio.dev I am having in mind a new module, hoping to get time for it
    2021-12-15 10:59:55 -0500 EST @miconda:matrix.kamailio.dev a few new modules are already in
    2021-12-15 11:00:08 -0500 EST @miconda:matrix.kamailio.dev many other old modules got updates
    2021-12-15 11:00:27 -0500 EST @henning:matrix.kamailio.dev i think we will get probably a bunch of smaller pull requests as usual, but there is no big new module right now in the queue afaik
    2021-12-15 11:00:41 -0500 EST @miconda:matrix.kamailio.dev the 5.5 was released in summer, probably by end of winter we should plan freezing, etc...
    2021-12-15 11:01:42 -0500 EST @henning:matrix.kamailio.dev maybe release after easter or so
    2021-12-15 11:01:49 -0500 EST @miconda:matrix.kamailio.dev once 5.6 gets in shape and closer to release, we have to analyze if we should go for 6.0 next
    2021-12-15 11:02:35 -0500 EST @miconda:matrix.kamailio.dev at the last devel meeting on site in Dusseldorf, there were some discussions about some internal refactoring for sip message processing, etc ...
    2021-12-15 11:03:15 -0500 EST @miconda:matrix.kamailio.dev but we will have to see if can be done
    2021-12-15 11:03:33 -0500 EST @henning:matrix.kamailio.dev yes
    2021-12-15 11:03:39 -0500 EST @miconda:matrix.kamailio.dev so we will need a meeting to discuss again about, see who can engage in it, etc ...
    2021-12-15 11:07:13 -0500 EST @henning:matrix.kamailio.dev maybe we could have a "real" meeting again, if corona permits
    2021-12-15 11:07:26 -0500 EST @fred:matrix.lod.com I'm saving up for airfare
    2021-12-15 11:07:28 -0500 EST @fred:matrix.lod.com =)
    2021-12-15 11:07:58 -0500 EST @miconda:matrix.kamailio.dev let's hope it will be possible soon!
    2021-12-15 11:09:43 -0500 EST @oej:matrix.kamailio.dev Yes!
    2021-12-15 11:10:59 -0500 EST @miconda:matrix.kamailio.dev @oej - you also proposed some topic about rpc
    2021-12-15 11:11:14 -0500 EST @miconda:matrix.kamailio.dev want to discuss more now
    2021-12-15 11:11:21 -0500 EST @oej:matrix.kamailio.dev ABsolutely
    2021-12-15 11:11:30 -0500 EST @oej:matrix.kamailio.dev We have some inconsistency that bothers me
    2021-12-15 11:11:43 -0500 EST @oej:matrix.kamailio.dev Many RPC commands return a message when OK, but not all
    2021-12-15 11:11:49 -0500 EST @oej:matrix.kamailio.dev I would like to add more OK messages
    2021-12-15 11:11:57 -0500 EST @oej:matrix.kamailio.dev We are basically just printing a string
    2021-12-15 11:12:25 -0500 EST @oej:matrix.kamailio.dev As far as I know it's not going to break stuff - but maybe you guys have other opinions?
    2021-12-15 11:12:39 -0500 EST @oej:matrix.kamailio.dev I hate it when I run kamcmd and get no feedback if I'm successful.
    2021-12-15 11:13:51 -0500 EST @miconda:matrix.kamailio.dev :-)
    2021-12-15 11:13:53 -0500 EST @jj:chat.indie.org 200 Wunderbar
    2021-12-15 11:14:45 -0500 EST @oej:matrix.kamailio.dev Exactly!
    2021-12-15 11:14:53 -0500 EST @henning:matrix.kamailio.dev consistency is always a good idea
    2021-12-15 11:15:07 -0500 EST @oej:matrix.kamailio.dev But we don't return 200 on success, which would also be a good thing.
    2021-12-15 11:16:28 -0500 EST @miconda:matrix.kamailio.dev @oej - feel free to propose pull requests
    2021-12-15 11:16:37 -0500 EST @miconda:matrix.kamailio.dev and we can discuss
    2021-12-15 11:17:00 -0500 EST @khorsmann:matrix.org 200 - Wunderbar  as replacement for 100 - your call is important for us.
    2021-12-15 11:17:43 -0500 EST @khorsmann:matrix.org have to go now. Thanks you all.
    2021-12-15 11:18:19 -0500 EST @miconda:matrix.kamailio.dev I would rather not do radical/breaking changing now if we consider 6.0 afterwards
    2021-12-15 11:18:46 -0500 EST @miconda:matrix.kamailio.dev thanks Karsten Horsmann ! have a nice evening!
    2021-12-15 11:18:49 -0500 EST @oej:matrix.kamailio.dev Adding an output text row to a small amount of RPC is not a radical or breaking change in my head
    2021-12-15 11:19:00 -0500 EST @miconda:matrix.kamailio.dev sure, that's not
    2021-12-15 11:19:02 -0500 EST @oej:matrix.kamailio.dev Moving to "200 OK" would be a larger one, but that's for 6.0 if needed
    2021-12-15 11:19:20 -0500 EST @henning:matrix.kamailio.dev i think some commands already reply 200 OK, if i remember correctly
    2021-12-15 11:19:35 -0500 EST @oej:matrix.kamailio.dev I think so too. There's a mess.
    2021-12-15 11:20:00 -0500 EST @oej:matrix.kamailio.dev For 6.0 we may want to be more strict. I suggest small changes now and a policy and possibly larger change for 6.0.
    2021-12-15 11:20:43 -0500 EST @oej:matrix.kamailio.dev We have to be careful. I still have pains from when I modified asterisk management API to be more strict.
    2021-12-15 11:21:01 -0500 EST @oej:matrix.kamailio.dev Even though I warned a year before the change was affecting users, people screamed and yelled.
    2021-12-15 11:21:22 -0500 EST @oej:matrix.kamailio.dev It was an ugly mess and still is.
    2021-12-15 11:21:47 -0500 EST @oej:matrix.kamailio.dev Anyway, so I'll spend some free time during the holidays fixing output for some commands.
    2021-12-15 11:22:59 -0500 EST @miconda:matrix.kamailio.dev @oej - ok, that it would be good, thanks!
    2021-12-15 11:23:12 -0500 EST @miconda:matrix.kamailio.dev anything else for 5.6 release?
    2021-12-15 11:23:23 -0500 EST @miconda:matrix.kamailio.dev  * anything else for 5.6 release?
    2021-12-15 11:24:25 -0500 EST @henning:matrix.kamailio.dev from my side maybe something driven from a new project, but nothing big right now finished for ready integration
    2021-12-15 11:25:34 -0500 EST @henning:matrix.kamailio.dev  * from my side maybe something driven from a new project, but nothing big right now finished for ready integration
    2021-12-15 11:26:39 -0500 EST @miconda:matrix.kamailio.dev ok, good
    2021-12-15 11:30:29 -0500 EST @miconda:matrix.kamailio.dev then next topic
    2021-12-15 11:30:46 -0500 EST @miconda:matrix.kamailio.dev documentation
    2021-12-15 11:31:08 -0500 EST @miconda:matrix.kamailio.dev migrating from dokuwiki markdown/github storing
    2021-12-15 11:31:53 -0500 EST @fred:matrix.lod.com I forgot about that migration
    2021-12-15 11:35:56 -0500 EST @miconda:matrix.kamailio.dev anyone with ideas?
    2021-12-15 11:36:44 -0500 EST @miconda:matrix.kamailio.dev I would like to move at least storing them to github
    2021-12-15 11:36:50 -0500 EST @miconda:matrix.kamailio.dev from the perspective of contributions
    2021-12-15 11:36:57 -0500 EST @oej:matrix.kamailio.dev Another xmas job for bored developers having holidays!
    2021-12-15 11:37:00 -0500 EST @miconda:matrix.kamailio.dev now is hard for other people to update content there
    2021-12-15 11:37:28 -0500 EST @miconda:matrix.kamailio.dev so maybe we just move the dokuwiki files as they are to github
    2021-12-15 11:37:35 -0500 EST @miconda:matrix.kamailio.dev and run some cronjob to sync them
    2021-12-15 11:37:58 -0500 EST @miconda:matrix.kamailio.dev the alternative would be to convert the format to mkdocs or so
    2021-12-15 11:41:21 -0500 EST @miconda:matrix.kamailio.dev any suggestion what would be better?
    2021-12-15 11:41:55 -0500 EST @fred:matrix.lod.com I like the idea of github, looking into the conversion and making a task to remember ;)
    2021-12-15 11:41:56 -0500 EST @miconda:matrix.kamailio.dev and if anyone knows tools that can help in a case or another, just list them here, it would be very appreciated
    2021-12-15 11:45:24 -0500 EST @miconda:matrix.kamailio.dev last topic: unit testing and what else can be improved with documentation
    2021-12-15 11:46:26 -0500 EST @miconda:matrix.kamailio.dev we have the docker unit testing, maybe around 20, if anyone else wants to contribute, see: https://github.com/kamailio/kamailio-tests
    2021-12-15 11:47:04 -0500 EST @miconda:matrix.kamailio.dev for documentation, I would like to find a way to make KEMI docs more integrated with the usual module docs
    2021-12-15 11:47:17 -0500 EST @miconda:matrix.kamailio.dev but didn't find a solution so far
    2021-12-15 11:47:52 -0500 EST @miconda:matrix.kamailio.dev these days I am doing like 50%-50% kamailio native config and kemi deployments (mainly lua)
    2021-12-15 11:48:36 -0500 EST @miconda:matrix.kamailio.dev for me is easy to sort out relations between kemi functions and the ones for native config, but I noticed it is not trivial for many others
    2021-12-15 11:49:14 -0500 EST @miconda:matrix.kamailio.dev if nobody wants to add anything on this topic, maybe someone wants to propose a new topic for discussing
    2021-12-15 11:49:17 -0500 EST @miconda:matrix.kamailio.dev anyone?
    2021-12-15 11:49:50 -0500 EST @oej:matrix.kamailio.dev Haven't done any Kemi. Should propably start.
    2021-12-15 11:49:52 -0500 EST @henning:matrix.kamailio.dev we could of course integrate the KEMI docs in the docbook
    2021-12-15 11:49:59 -0500 EST @henning:matrix.kamailio.dev but this would be a lot of effort
    2021-12-15 11:50:37 -0500 EST @henning:matrix.kamailio.dev to first to migrate away from docbook would make it easier, but this would be another task..
    2021-12-15 11:51:56 -0500 EST @miconda:matrix.kamailio.dev yep, consistent work either way
    2021-12-15 11:52:16 -0500 EST @miconda:matrix.kamailio.dev but at some point is probably better to go one way or the other to ease for the future
    2021-12-15 11:52:48 -0500 EST @miconda:matrix.kamailio.dev the good with docbook is easy to transform to html and index
    2021-12-15 11:53:18 -0500 EST @miconda:matrix.kamailio.dev but looks a bit outdated from presentation point of view and tools around
    2021-12-15 11:54:13 -0500 EST @miconda:matrix.kamailio.dev anyone that want to announce anything else
    2021-12-15 11:54:26 -0500 EST @miconda:matrix.kamailio.dev we can publish news about on kamailio.org, if interesting
    2021-12-15 11:54:58 -0500 EST @oej:matrix.kamailio.dev We should be able to fix layout without leaving docbook.
    2021-12-15 11:55:27 -0500 EST @oej:matrix.kamailio.dev But yes, hacking XML feels oldfashioned like CObol and Java nowadays
    2021-12-15 11:57:17 -0500 EST @miconda:matrix.kamailio.dev :-)
    2021-12-15 11:57:40 -0500 EST @miconda:matrix.kamailio.dev anything else before closing the official devel meeting and go for free discussions?
    2021-12-15 11:58:06 -0500 EST @fred:matrix.lod.com No, thank you as always
    2021-12-15 11:58:12 -0500 EST @henning:matrix.kamailio.dev no major announcements from my side, thanks
    2021-12-15 11:59:14 -0500 EST @miconda:matrix.kamailio.dev ok, then the meeting is finished, thank you everyone!
    2021-12-15 11:59:28 -0500 EST @miconda:matrix.kamailio.dev free discussions now!
    2021-12-15 11:59:45 -0500 EST @henning:matrix.kamailio.dev thank you Daniel
    2021-12-15 12:00:03 -0500 EST @oej:matrix.kamailio.dev Thank you all!
