# Online Devel Meeting - 2024-12-09

**Note: *the online meeting is planned to be hosted on a Matrix room.
See more details below.***

Date:

- **Proposed: 15:00 UTC, Monday, Dec 09, 2024**
  + can attend: dcm, vseva ...
  + cannot attend:

Time of the meeting across the world:

- 16:00 - Berlin, Germany
- 15:00 - London, UK
- 10:00 - New York, USA
- 07:00 - Seattle, USA

**Place:**

- Matrix chat room: **#kamailio:matrix.kamailio.dev**
  + [https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev](https://riot.kamailio.dev/#/room/#kamailio:matrix.kamailio.dev)
- To join as a guest (read only):
  + go to: <https://riot.kamailio.dev/#/welcome>
  + click on **Room Directory**
  + then click on **kamailio** room to join it

Utilities:

- [Time
    Converter](http://www.timeanddate.com/worldclock/converter.html)
- Matrix resources
  + website: <https://matrix.org/>
    * it allows public registrations for getting a Matrix user account
  + client applications: <https://matrix.org/clients>
  + unofficial list of other public matrix servers:
        <https://www.anchel.nl/matrix-publiclist/>

## Participants

Participation is open to anyone, just join the chat room if you want to
participate.

People adding notes in the agenda using abbreviations:

- dcm - Daniel-Constantin Mierla
- vseva - Victor Seva
- qxork - Fred Posner

## Agenda

Kamailio Development Status:

- summary and follow up on Dusseldorf devel meeting (dcm)
- open issues (dcm)
- minor releases for 5.7 and 5.8 branches (dcm)
- tracker issues review:
  + <https://github.com/kamailio/kamailio/issues/>
- summary of packaging and distributions
- summary of using github actions

Administration:

- servers maintenance
- community interaction and communication channels
- existing mailing lists review

Kamailio 6.0 (next major release):

- roadmap
- features
  + anything relevant that is missing?
  + priorities

Documentation:

- updates for wiki with markdown and mkdocs (github markdown)

Collaborative Projects:

- unit testing, documentation, etc.
- community announcements

## Transcript

| time (UTC) | person | comment |
| --- | --- | --- |
| 2024-12-09 15:00 | @miconda | hello! |
| 2024-12-09 15:00 | @miconda | let's wait 2-3 min to see if anyone else is joining |
| 2024-12-09 15:00 | @xkaraman | Hello all! |
| 2024-12-09 15:01 | @miconda | meanwhile you can propose here dicussion topics, to be addressed at the end of the meeting |
| 2024-12-09 15:01 | @eschmidbauer | 👋 |
| 2024-12-09 15:02 | @miconda | the link to the wiki doc about this meeting |
| 2024-12-09 15:02 | @vseva | hello there |
| 2024-12-09 15:03 | @miconda | I will try to follow those points in the agenda first, which are mostly reused from past editions (well, slightly updated) |
| 2024-12-09 15:04 | @miconda | I guess we can start ... I wanted to wait a bit because I sent a last reminder to mailing lists a few minutes ago |
| 2024-12-09 15:05 | @miconda | first topic: the devel meeting in Dusseldorf |
| 2024-12-09 15:05 | @miconda | it was quite productive, many small bits being addressed |
| 2024-12-09 15:06 | @miconda | the biggest outcome is the cmake support for building kamailio, or actually getting it closer to a final state, as Xenofon Karamanos was working on it already for a few months |
| 2024-12-09 15:07 | @miconda | another consistent effort was to add the fixup-free functions in many modules, where Voctor and Federico did a lot of work |
| 2024-12-09 15:07 | @miconda | Alexandr helped with the cmake support |
| 2024-12-09 15:08 | @miconda | Andreas worked on db sqlite to improve its concurency, then on reviewing the support of register for topos, some PR being open a while ago, but not actually working |
| 2024-12-09 15:10 | @vseva | still some modules need changes, I'll try to continue with the effort on my spare time |
| 2024-12-09 15:10 | @miconda | Dragos, Alexander C and Lennart worked on figuring out some IMS stuff |
| 2024-12-09 15:11 | @miconda | Victor also replaced the old prameter types for better coherence (int_param => param_int, ...) |
| 2024-12-09 15:13 | @miconda | I removed the destroy of the internal structures for most used modules that can have a lot of small chunks (e.g., usrloc, dialog, tm, htable) ... the free of the corresponding memory is anyhow done at shutdown, as we have a big chunk of shared memory which is destroyed at once |
| 2024-12-09 15:13 | @miconda | this should speed up shut down, but also avoid races/conflicts on accessing this structures |
| 2024-12-09 15:14 | @miconda | overall, I think it was a really good edition |
| 2024-12-09 15:15 | @henning | Great progress and outcome at the meeting, for sure :) |
| 2024-12-09 15:15 | @miconda | where are we now based on that work: cmake is merged on master, probably stil needs some tuning, but looks good |
| 2024-12-09 15:16 | @miconda | the goal is to remove the old-Makefiles build systems, so 6.0 goes out clean with cmake only |
| 2024-12-09 15:16 | @vseva | I'm still need to see if I manage to use it for building the debs |
| 2024-12-09 15:17 | @miconda | as Victor said, there might be still some modules to be updated with fixup-free functions, but that is not a blocker, just good to have, Federico added a couple of more after the meeting |
| 2024-12-09 15:17 | @miconda | I also need to look at tcp/tls/ws connections cleanup at shutdown, to skip the destroy |
| 2024-12-09 15:18 | @xkaraman | i think we need to identify the most used targets, so we are sure we provided them in the cmake as well.   and as victor said, that it can be used to create the packages and the seperate module-based componoents  |
| 2024-12-09 15:18 | @henning | Right now some "second level" build targets are missing (like doc building, manual pages etc..), but Xenofon Karamanos  is working on that. |
| 2024-12-09 15:18 | @miconda | Xenofon Karamanos: right, it would be good for the people here and in the community to test with cmake |
| 2024-12-09 15:19 | @miconda | and report if they can't do something that they were doing with old makefiles |
| 2024-12-09 15:19 | @miconda | the two build systems are now available in master branch |
| 2024-12-09 15:19 | @henning |  * Right now some "second priority" build targets are missing (like doc building, manual pages etc..), but Xenofon Karamanos  is working on that. |
| 2024-12-09 15:19 | @miconda | they co-exist, so one can test in paralel |
| 2024-12-09 15:20 | @vseva | I will add my findings/problems here https://github.com/kamailio/kamailio/issues/4053 |
| 2024-12-09 15:20 | @miconda | here is the link where cmake totorials are built: https://github.com/kamailio/kamailio-wiki/blob/main/docs/tutorials/cmake/index.md |
| 2024-12-09 15:21 | @miconda | it is the link to the pages in the github repo, they are built afterwards with mkdocs to present as html, but the pages in git repo should be browsable as well and it is the place where one can make pull requests |
| 2024-12-09 15:21 | @vseva | that would be needed for debs |
| 2024-12-09 15:24 | @xkaraman | hmm ok. then i can give them priority. Do we have specific requirement that must be included, so debs can be released? any link i can read through, would be helpful too |
| 2024-12-09 15:24 | @vseva | for instance... right now after your change of git...  I'm missing the examples/* |
| 2024-12-09 15:25 | @miconda | the `examples/*` were packaged? |
| 2024-12-09 15:26 | @miconda | I am not sure if they are actual, many might not work ... |
| 2024-12-09 15:27 | @miconda | considering we do the 6.0 step, we can take the opportunity to clean up a bit more and remove what is not really necessary ... |
| 2024-12-09 15:27 | @henning | Xenofon will work on that during the week, so we can just list the missing things in the issue linked before and then address them step by step. |
| 2024-12-09 15:28 | @vseva | yes, they are |
| 2024-12-09 15:28 | @xkaraman | Also Víctor Seva, i have include CPack in the CMakeFiles.txt, that can automatically produce various forms of packages, after adjusting some parameters of course. i was not aware of this feature, i just included for expirementation of you will |
| 2024-12-09 15:28 | @miconda | indeed, if one is missing some old-makefiles command, list it on the github tracker, there are two issues opened about it |
| 2024-12-09 15:29 | @xkaraman | https://cmake.org/cmake/help/latest/module/CPack.html |
| 2024-12-09 15:29 | @henning | The cpack is a good idea, but might be a bit to much to finish in the time remaining for the freeze. |
| 2024-12-09 15:30 | @vseva | yes, cpack seems fine |
| 2024-12-09 15:31 | @miconda | first freeze interval (2-3 weeks) is more loose, it for tuning what's new in the release, once the branch 6.0 is created, then we should be more strict in not bringing in breaking changes ... anyhow, on this topic is more about the build system, not the c code |
| 2024-12-09 15:32 | @miconda | ok, anyone with more remarks/suggestions about what was discussed so far (about what was started/done in Dusseldorf)? |
| 2024-12-09 15:33 | @henning | Just one question, it planned then to remove the old Makefile infrastructure for the 6.0, right? |
| 2024-12-09 15:33 | @miconda | yes, I would prefer to remove it |
| 2024-12-09 15:34 | @miconda | otherwise will be quite some overhead to maintain the two |
| 2024-12-09 15:34 | @miconda | we can keep some *independent* makefiles, no problem with that, but for building kamailio, only one system should be kept |
| 2024-12-09 15:35 | @vseva | I still want to look over the tm callbacks but I don't know how much time I will have |
| 2024-12-09 15:35 | @miconda | by independent makefiles I mean those in various folders that are just for use there |
| 2024-12-09 15:36 | @miconda | we can also keep makefiles for building the docs (readmes), I think it is quite independent, if no time to convert to cmake ... |
| 2024-12-09 15:37 | @miconda | but for building kamailio and modules, I think it is ok to go for cmake only, it already compiles everything |
| 2024-12-09 15:37 | @vseva | https://github.com/cerna/dh-cmake |
| 2024-12-09 15:39 | @xkaraman | modules-readme are produced, albeit with some wrong format if i remeber correctly. need to alter some options i guess. what is not produced are the manuals like .8 for the man kamailio |
| 2024-12-09 15:40 | @miconda | ok, good to know |
| 2024-12-09 15:40 | @miconda | then, if no other question now, we can move to next topic: known and unknown issues |
| 2024-12-09 15:41 | @miconda | anything reported on github that one was to discuss about it, or something new not yet reported? |
| 2024-12-09 15:42 | @vseva | Xenofon Karamanos: I've just pushed my changes to https://github.com/kamailio/kamailio/compare/vseva/cmake_pkg I will keep things moving there |
| 2024-12-09 15:42 | @miconda | (btw, if one still has questions about previous topics, of course can ask at any time, I just try to move forward, not knowing what everyone plans to write) |
| 2024-12-09 15:43 | @miconda | so, if no new issue to be discussed, then the one already reported will get addressed on issue tracker as usual |
| 2024-12-09 15:44 | @miconda | maybe one question: are the automatic stale and close intervals ok? should they be made longer? |
| 2024-12-09 15:44 | @miconda | I am fine with them, just asking, some issues needed to be reopened, but I don't think another value for those intervals would have made a big difference |
| 2024-12-09 15:44 | @xkaraman | i find them good enough |
| 2024-12-09 15:45 | @miconda | ok, then next topic: minor releases |
| 2024-12-09 15:46 | @miconda | 5.8.4 was like a month ago, not sure if there were many commits in the branch, I will check to see if worth to make a new one before winter holidays |
| 2024-12-09 15:47 | @miconda | for 5.7.x could be time for another one -- more or less the same thing, I have to check what's in the branch |
| 2024-12-09 15:48 | @miconda | so the topic is here just in case someone wants to say a specific minor releas should be pushed out sooner rather than later because it brings relevant fixes |
| 2024-12-09 15:49 | @miconda | good, then next topic: packaging and distributions |
| 2024-12-09 15:50 | @miconda | Victor is still the very active for Debian/Ubuntu, recently I say Sergey doing some stuff for rpm, but as I am not using rpm-based distros I am not sure what's the state for them and what distributions have the rpms build for |
| 2024-12-09 15:51 | @miconda | I know that Victor tried to build debs for arm, but there is still some work to be done |
| 2024-12-09 15:52 | @miconda | and I think Kaufman (if I got it right from some social media channels) is providing some builds for alpine (or arch) linux?!? |
| 2024-12-09 15:52 | @vseva | yes, I couldn't manage to configure properly the jenkins matrix jobs |
| 2024-12-09 15:53 | @miconda | the topic is proposed to see if some distro needs attention |
| 2024-12-09 15:53 | @vseva | I don't want to interfere the normal builds |
| 2024-12-09 15:53 | @xkaraman | i have some github actions that auto build for arm (cross-compile from ubuntu x86), if that's any help |
| 2024-12-09 15:53 | @miconda | btw, as we are here, with cmake we are no trying to support all distros found in the old-makefiles, some might not exist or not really used these days |
| 2024-12-09 15:54 | @xkaraman |  * i have some github actions that auto build for arm using cmake(cross-compile from ubuntu x86), if that's any help |
| 2024-12-09 15:54 | @miconda | it is also because nobody from the devs has access to such systems (vax/vms, sunos, ...) |
| 2024-12-09 15:55 | @miconda | for me linux is enough, *BSDs are nice to be supported (provided there are people to help testing) |
| 2024-12-09 15:55 | @miconda | and I build on macos, but only for convenience and because I know it is close (or used to be) to FreeBSD, but no plan to use such system for production |
| 2024-12-09 15:57 | @miconda | let's move to github actions ... |
| 2024-12-09 15:57 | @miconda | many of them are active and quite useful with the checks on PRs ... |
| 2024-12-09 15:58 | @miconda | iirc, some are failing because of the size of the images |
| 2024-12-09 15:58 | @vseva | codeql no? |
| 2024-12-09 15:59 | @miconda | yes, codeql (code analyzer) |
| 2024-12-09 15:59 | @vseva | we will need our own runners to keep that one alive |
| 2024-12-09 16:00 | @miconda | if someone has experience with it, would be good to solve it somehow ... I also planned to look into it, but no time for it (not being much familiar with github actions either) |
| 2024-12-09 16:00 | @vseva | not sure is worth the trouble  |
| 2024-12-09 16:00 | @miconda | it reported some good stuff in the past, a lot is suggestions, though |
| 2024-12-09 16:01 | @miconda | I saw others on the web proposing how to reduce the size of the image, it's what I wanted to look more at, but couldn't find the time yet |
| 2024-12-09 16:01 | @miconda | obviously it is not something critical |
| 2024-12-09 16:02 | @miconda | but maybe someone faced something similar elsewhere and can give some hints |
| 2024-12-09 16:02 | @vseva | If Fred Posner could provide a VM maybe I could try to configure it to be a action runner for that job |
| 2024-12-09 16:03 | @fred | Shouldnt be a problem |
| 2024-12-09 16:03 | @fred | Any specs? |
| 2024-12-09 16:03 | @miconda | we should have one that is mostly idle, can be (re-)used there |
| 2024-12-09 16:03 | @vseva | let me dig a bit and I will ping you  |
| 2024-12-09 16:03 | @miconda | or maybe Sergey is using it for rpms?!? ... we have to check first |
| 2024-12-09 16:04 | @fred | we have 5 (including matrix) but I'm sure another won't be an issue. |
| 2024-12-09 16:05 | @whosgonna | Happy to help with paying for it |
| 2024-12-09 16:05 | @miconda | I don't want to add too many, if some sits idle, adds to maintenance |
| 2024-12-09 16:05 | @fred | Least I can do, but understood. |
| 2024-12-09 16:06 | @miconda | ok, we have some directions to look into ... thanks Fred Posner and Kaufman for willing to help and support if needed! |
| 2024-12-09 16:07 | @miconda | let's start the infrastructure/project administration topic then |
| 2024-12-09 16:07 | @vseva | https://docs.github.com/en/code-security/code-scanning/creating-an-advanced-setup-for-code-scanning/recommended-hardware-resources-for-running-codeql |
| 2024-12-09 16:08 | @miconda | I think kamailio.org is the old stable debian right now, maybe after new year we can plan a maintenance window and upgrade ... hopefully it will not be that painful, last time the migration of mailman2 to mainman3 was quite troublesome ... now it should be just upgrade |
| 2024-12-09 16:09 | @miconda | on the mailing lists ... |
| 2024-12-09 16:09 | @miconda | got someone reporting that he doesn't receive anymore messages on his gmail account |
| 2024-12-09 16:10 | @miconda | I also use the gmail account and still get messages, although it feels sometimes they come late |
| 2024-12-09 16:10 | @miconda | I also asked here and I got a report that a subscription was made but no email about it was received |
| 2024-12-09 16:10 | @crazytux949 | miconda: I am receiving mailing list emails on gmail through my existing subscription.  Although I never received emails to establish a new subscription. |
| 2024-12-09 16:11 | @miconda | it was you, Brandon Armstead right? |
| 2024-12-09 16:11 | @crazytux949 | Yes |
| 2024-12-09 16:11 | @miconda | ok, you were :-) |
| 2024-12-09 16:12 | @crazytux949 | I can email you the two different email addresses if that is helpful.   |
| 2024-12-09 16:12 | @miconda | i change spf rule to be more strict, explicitely listing the ipv4 and ip6 addresses and now google reports it as pass |
| 2024-12-09 16:12 | @miconda | header from a sr-users message sent today and received on my gmail: |
| 2024-12-09 16:12 | @miconda | `Received-SPF: pass (google.com: domain of sr-users-bounces@lists.kamailio.org designates 193.22.119.66 as permitted sender) client-ip=193.22.119.66;` |
| 2024-12-09 16:14 | @miconda | I can try to digg a bit on the web to see if other self-hosted MLs face something similar, meanwhile if someone has suggestions, write here |
| 2024-12-09 16:14 | @miconda | (not necessary now, whenever you find something that you think it can help) |
| 2024-12-09 16:15 | @crazytux949 | The email is in limbo when I go to attempt to again add myself to the list with the same (new) email address I receive `Subscription request already pending` |
| 2024-12-09 16:15 | @crazytux949 | Just to be clear someone else reported this issue aside from me, it was just coincidence that I also experienced it. |
| 2024-12-09 16:15 | @miconda | ok, I will check the logs |
| 2024-12-09 16:17 | @miconda | anything else about mailing lists, chat channels, forums ... the ones that are or the ones that we should open ... |
| 2024-12-09 16:17 | @miconda | if not, then next: kamailio 6.0 |
| 2024-12-09 16:19 | @miconda | the plan is to freeze in one week, then testing with branching of 6.0 probably during the first part or by middle of January 2025 |
| 2024-12-09 16:19 | @miconda | 2-3 weeks later, if things go well, v6.0.0 should be out |
| 2024-12-09 16:20 | @miconda | quite a lot of major changes, some discussed above, some done before the Dusseldorf meeting (e.g., multi-threaded udp receiving) |
| 2024-12-09 16:20 | @miconda | a few modules are in place as well |
| 2024-12-09 16:21 | @miconda | there was a discussion on sr-users (iif) about a presence-related module that is not in the main repo, but someone tried to use it ... I plan to look closer at it and if in doable, import it (if license ok and/or developer is active) |
| 2024-12-09 16:22 | @miconda | one new module is a pr (topos htable) ... |
| 2024-12-09 16:22 | @vseva | it's used by Sipwise |
| 2024-12-09 16:23 | @miconda | ok ... then should be in good shape |
| 2024-12-09 16:24 | @miconda | I think the one pointed on sr-users is a fork of another one that was innactive, although the last one seemed innactive of a while as well, but maybe because it was completed and didn't need anything new |
| 2024-12-09 16:24 | @miconda |  * I think the one pointed on sr-users is a fork of another one that was innactive, although the last one seemed innactive for a while as well, but maybe because it was completed and didn't need anything new |
| 2024-12-09 16:25 | @vseva | Not really sure. But I can send the PR if you want |
| 2024-12-09 16:25 | @miconda | sure, that's even better |
| 2024-12-09 16:26 | @miconda | anything else that should make it to 6.0? |
| 2024-12-09 16:27 | @miconda | ok ... then we are quite ready to start preparing the 6.0 ... |
| 2024-12-09 16:27 | @miconda | next topic: documentation |
| 2024-12-09 16:28 | @miconda | a while ago we migrated old wiki (dokuwiki) to markdown (building html with mkdocs) |
| 2024-12-09 16:28 | @miconda | anything to report/complain about? |
| 2024-12-09 16:28 | @miconda | probably some formatting still needs to be done here and there, most likely in pages for older versions, but otherwise seems ok for me |
| 2024-12-09 16:30 | @miconda | moving now to the last topic: collaborative projects |
| 2024-12-09 16:30 | @miconda | development of unit testing (docker-based) was not much active lately ... we have some that I run for each release |
| 2024-12-09 16:31 | @miconda | not sure what can be done to animate it more ... I guess everyone is happy testing in production :-) |
| 2024-12-09 16:32 | @miconda | iirc, one or two tests fail there, about http async client and sip response processing, it might be just some changes to functions ... I ignored them |
| 2024-12-09 16:33 | @vseva | yes, the status is quite depressing  |
| 2024-12-09 16:33 | @miconda | then, I think the `test/unit` from source tree of kamailio should be archived ... it got no updatre for long time and anyhow new work should be done in the dedicated repo |
| 2024-12-09 16:35 | @miconda | anyhow, if someone here wants to work on something and would like others to join, feel free to propose (at any time, here or on mailing lists), it is a good chance to find people interested in the same subject |
| 2024-12-09 16:35 | @miconda | Victor proposed in Dusseldorf to try to do virtual devel (code/documentation writing) sessions |
| 2024-12-09 16:36 | @miconda | using jitsi meet or chat rooms, can be a good option from time to time ... |
| 2024-12-09 16:37 | @vseva | yes, I still think it should be nice If we manage to set a common goal for the session |
| 2024-12-09 16:37 | @vseva | like the fixup changes |
| 2024-12-09 16:38 | @miconda | before wrapping up ... any new topics? |
| 2024-12-09 16:38 | @miconda | or announcements that one would like to do? |
| 2024-12-09 16:38 | @miconda |  * or announcements that one would like to make? |
| 2024-12-09 16:38 | @henning | It was just mentioned, the presence module that sipwise maintained |
| 2024-12-09 16:39 | @henning | I looked into it, there are probably a few adations necessary before merging. There are 2-3 presence related modules in the sipwise tree, not sure if they could or should be merged into mainline kamailio  |
| 2024-12-09 16:39 | @henning | mostly related to phone support |
| 2024-12-09 16:39 | @henning | https://github.com/sipwise/kamailio/tree/master/debian/patches/sipwise |
| 2024-12-09 16:40 | @vseva | the one we are talking about is https://github.com/sipwise/kamailio/blob/master/debian/patches/sipwise/add_presence_dfks_module.patch |
| 2024-12-09 16:40 | @henning | presence_vqr and presence_dkfs |
| 2024-12-09 16:41 | @henning | if there is interest from users we could at least merge this, not sure what the others think if its worthwile |
| 2024-12-09 16:41 | @henning |  * if there is interest from users we could at least merge this _dkfs not sure what the others think if its worthwile |
| 2024-12-09 16:42 | @miconda | on sr-users discussion I understood it was something from ietf (or some common extenssion) |
| 2024-12-09 16:42 | @miconda | probably it was the dkfs |
| 2024-12-09 16:44 | @miconda | the sca is also a common extenssion from a vendor |
| 2024-12-09 16:44 | @miconda | if the specs are out there and it is commonly in use, then it is fine to merge ... |
| 2024-12-09 16:45 | @vseva | I recall merging some of the changes of sca |
| 2024-12-09 16:45 | @vseva | not sure If I did it all of them |
| 2024-12-09 16:46 | @miconda | I mean SCA as a feature and specs ... we have the module for many years |
| 2024-12-09 16:46 | @henning | For the _dkfs I can have a look, no problem |
| 2024-12-09 16:46 | @henning | Just wanted to ask e.g. if Victor or somebody else had some other plans with it etc.. |
| 2024-12-09 16:47 | @miconda | for dkfs it looks like Victor has good-to-use patch in the link provided above ... not sure if it has docs in xml format |
| 2024-12-09 16:47 | @vseva | Sipwise is using it... but nothing else |
| 2024-12-09 16:47 | @vseva | I will try to put together a PR with what we have |
| 2024-12-09 16:48 | @henning | ok, great - thank you! |
| 2024-12-09 16:49 | @miconda | thanks! |
| 2024-12-09 16:49 | @miconda | anything else? |
| 2024-12-09 16:50 | @miconda | any recent big news in RTC space that some of us might have missed? |
| 2024-12-09 16:51 | @miconda | if not, we can conclude the meeting and switch to open discussions ... |
| 2024-12-09 16:51 | @miconda | thank you everyone for participating! |
| 2024-12-09 16:51 | @fred | Thank you |
| 2024-12-09 16:51 | @vseva | Thanks! |
| 2024-12-09 16:51 | @henning | Thank you! |
| 2024-12-09 16:52 | @miconda | and happy winter holidays! |
| 2024-12-09 16:52 | @miconda | or happy season holidays! some might be in the southern emisphere ... |
| 2024-12-09 16:52 | @eschmidbauer |  nice job everyone !  |
| 2024-12-09 16:53 | @miconda | Emmanuel Schmidbauer : do you have any idea if nsq is still used out there? |
| 2024-12-09 16:53 | @miconda | the lib didn't seem to have recent updates ... |
| 2024-12-09 16:53 | @miconda | I know you switched to nats, but wondering if you have more details yourself ... |
| 2024-12-09 16:53 | @xkaraman | Thanks everybody! Hapy holidays! :) |
| 2024-12-09 16:54 | @miconda | libnats is now packaged on recent distros, but nsq does not have anything ... |
| 2024-12-09 16:54 | @eschmidbauer | miconda: i think the NSQ project is largely unmaintained. I think it's safe to deprecate the module NATS module is now widely used in it's place |
| 2024-12-09 16:55 | @eschmidbauer | i think the NSQ project is largely unmaintained. I think it's safe to deprecate the moduleNATS module is now widely used in it's place |
| 2024-12-09 16:55 | @miconda | ok, thanks, good to know |
| 2024-12-09 17:02 | @whosgonna | Alpine, although there are more "official" ones available as well. It's mostly for my work usage, but i figure if I have them, i'll share them. |
| 2024-12-09 17:03 | @miconda | ok |
