# Upgrade Kamailio from v5.3.x to v5.4.0

The page contains the details about the changes that were made to old
components during the development of v5.4.0 compared with what existed
in v5.3.x. It does not include the brand new modules, focusing on how to
upgrade database and configuration file from v5.3.x to run with Kamailio
devel.

## Previous Stable Release

If you look for the guidelines to upgrade to previous stable release,
see:

- [Upgrade Kamailio v5.2.x to v5.3.0](5.2.x-to-5.3.0.md)

## Remarks

Following tokens are used to mark the changes:

- INF - the change doesn't really have any direct impact - no action
    required in old config
- CPM - the change was used with the new value via explicit parameter
    in default config file from old releases
- RCM - the change is recommended to be done if you had an explicit
    different or lower value for this parameter in old config
- UPG - the change has to be done, older config does not work any
    longer

## Modules

### Upgraded Modules

#### corex

- non-sip network message processing parameters renamed:
  - network_io_intercept => nio_intercept
  - min_msg_len => nio_min_msg_len
  - msg_avp => nio_msg_avp

#### sipcapture

     * promiscious_on parameter was replaced by promiscuous_on (UPG)

### Removed Modules

- none

### Renamed Modules

- none

## Internal Libraries

## Core

### Parameters

### Misc

## Database

### MySQL Database Structure

Run following SQL statements in MySQL client to upgrade database
structure from v5.3 to v5.4:

``` sql
-- version table - added id column to facilitate records management with external tools
-- * the column is not used by Kamailio, thus is optional to be create

ALTER TABLE `version` ADD COLUMN `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (`id`);

```
