# Upgrade Kamailio from v5.6.x to v5.7.0

The page contains the details about the changes that were made to old
components during the development of `v5.7.0` compared with what existed
in `v5.6.x`. It does not include the brand new modules, focusing on how to
upgrade database and configuration file from `v5.6.x` to run with Kamailio
`5.7.0`.

## Previous Stable Release

If you look for the guidelines to upgrade to previous stable release,
see:

- [Upgrade Kamailio v5.5.x to v5.6.0](5.5.x-to-5.6.0.md)

## Remarks

Following tokens are used to mark the changes:

- `INF` - the change doesn't really have any direct impact - no action
    required in old config
- `CPM` - the change was used with the new value via explicit parameter
    in default config file from old releases
- `RCM` - the change is recommended to be done if you had an explicit
    different or lower value for this parameter in old config
- `UPG` - the change has to be done, older config does not work any
    longer

## Modules

### Upgraded Modules

- `app_ruby` needs `app_ruby_proc` which is loaded automatically when found
- INF: the `tls` and `tlsa` in v5.7.0 modules do not support openssl (libssl) 3.0, they have to be linked with openssl (libssl) 1.1 or 1.0. Since v5.7.1, tls and tlsa should be compatible with openssl (libssl) 3.0. Note also the availability of `tls_wolfssl` module.

### Removed Modules

- none

### Renamed Modules

## Internal Libraries

## Core

- INF: new core parameter `return_mode` allows a new mode to evaluate the return codes from functions and routing blocks:
  - <https://www.kamailio.org/wikidocs/cookbooks/devel/core/#return_mode>

### Parameters

### Misc

## Database

### MySQL Database Structure

New index was created for `watchers` table.

```sql
CREATE INDEX time_status_idx ON watchers (`inserted_time`, `status`);
```
