# Upgrade Kamailio from v5.8.x to v6.0.0 (stable)

The page contains the details about the changes that were made to old
components during the development of v6.0.0 compared with what existed
in v5.8.x. It does not include the brand new modules, focusing on how to
upgrade database and configuration file from v5.8.x to run with Kamailio
6.0.0.

## Previous Stable Release

If you look for the guidelines to upgrade to previous stable release,
see:

- [Upgrade Kamailio v5.7.x to v5.8.0](5.7.x-to-5.8.0.md)

## Remarks

Following tokens are used to mark the changes:

- INF - the change doesn't really have any direct impact - no action
    required in old config
- CPM - the change was used with the new value via explicit parameter
    in default config file from old releases
- RCM - the change is recommended to be done if you had an explicit
    different or lower value for this parameter in old config
- UPG - the change has to be done, older config does not work any
    longer

## Modules

### Upgraded Modules

- **app_python3**
  * removed legacy exported modules to Python, use instead the KEMI `KSR` modules

- **dialog**
  * dropped support for dlg_flag parameter

### Archived Modules

- app_lua_sr
- app_sqlang
- auth_identity

### Renamed Modules

- none

## Internal Libraries

## Core

### Parameters

### Misc

## Database

### MySQL Database Structure

Run following SQL statements in MySQL client to upgrade database
structure from v5.8 to v6.0:

``` sql
ALTER TABLE htable CHANGE COLUMN `key_name` `key_name` VARCHAR(256) DEFAULT '' NOT NULL; -- # was VARCHAR(64) DEFAULT '' NOT NULL
ALTER TABLE htable CHANGE COLUMN `key_value` `key_value` VARCHAR(512) DEFAULT '' NOT NULL; -- # was VARCHAR(128) DEFAULT '' NOT NULL
```
