# RPM Packages

## Overview

Kamailio is maintaining it own server hosting RPM repositories for
several Linux distributions, courtesy of the time allocated by Sergey
Safarov and infrastructure provided by LOD.com.

Note: the OpenSUSE Build Service (OBS) project is still available,
mainly kept for testing purposes (should not be used anymore):

- [OBS Packages Details](../packages/rpms-obs.md)

## Kamailio 5.5.x (Latest Stable)

The RPM packages build using docker images for

1. RHEL 6, 7, 8;
2. CentOS 6, 7, 8;
3. officially supported Fedora releases;
4. OpenSUSE 15, 42.2 and 42.3.

All RPM packages are built for x86_64 architecture.

Compiled RPM packages are located in subdirectories at:

- <https://rpm.kamailio.org>

To install Kamailio RPM repository, you can use the next commands:

- for RHEL 8, CentOS 8 and Fedora:

<!-- -->

    dnf -y install dnf-plugins-core
    dnf config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    dnf install kamailio

- for RHEL 6 and 7, CentOS 6 and 7 you can use

<!-- -->

    yum -y install yum-utils
    yum-config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    yum install kamailio

If you want to install a specific Kamailio version need use command like

    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.5.0 kamailio
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.5.0 kamailio

## Kamailio 5.4.x (Old Stable)

The RPM packages build using docker images for

1. RHEL 6, 7, 8;
2. CentOS 6, 7, 8;
3. officially supported Fedora releases;
4. OpenSUSE 15, 42.2 and 42.3.

All RPM packages are built for x86_64 architecture.

Compiled RPM packages are located in subdirectories at:

- <https://rpm.kamailio.org>

To install Kamailio RPM repository, you can use the next commands:

- for RHEL 8, CentOS 8 and Fedora:

<!-- -->

    dnf -y install dnf-plugins-core
    dnf config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    dnf install kamailio

- for RHEL 6 and 7, CentOS 6 and 7 you can use

<!-- -->

    yum -y install yum-utils
    yum-config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    yum install kamailio

If you want to install a specific Kamailio version need use command like

    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.4.0 kamailio
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.4.0 kamailio

## Kamailio 5.3.x (Old Stable)

The RPM packages build using docker images for

1. RHEL 6, 7, 8;
2. CentOS 6, 7, 8;
3. officially support Fedora releases;
4. OpenSUSE 15, 42.2 and 42.3.

All RPM packages prepared for x86_64 architecture.

Compiled RPM packages located in subdirectories at:

- <https://rpm.kamailio.org>

To install kamailio you can use commands on

For RHEL 8, CentOS 8 and Fedora

    dnf -y install dnf-plugins-core
    dnf config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.3 kamailio

For RHEL 6 and 7, CentOS 6 and 7 you can use

    yum -y install yum-utils
    yum-config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.3 kamailio

If you want to install a specific Kamailio version, you have to use:

    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.3.5 kamailio
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.3.5 kamailio

## Kamailio 5.2.x (Old Stable)

The RPM packages build using docker images for

1. RHEL 6, 7, 8;
2. CentOS 6, 7, 8;
3. officially support Fedora releases;
4. OpenSUSE 15, 42.2 and 42.3.

All RPM packages prepared for x86_64 architecture.

Compiled RPM packages located in subdirectories at:

- <https://rpm.kamailio.org>

To install kamailio you can use commands on

For RHEL 8, CentOS 8 and Fedora

    dnf -y install dnf-plugins-core
    dnf config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.2 kamailio

For RHEL 6 and 7, CentOS 6 and 7 you can use

    yum -y install yum-utils
    yum-config-manager --add-repo https://rpm.kamailio.org/centos/kamailio.repo
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.2 kamailio

If you want to install a specific Kamailio version, you have to use:

    dnf install --disablerepo=kamailio --enablerepo=kamailio-5.2.7 kamailio
    yum install --disablerepo=kamailio --enablerepo=kamailio-5.2.7 kamailio
